﻿<%@ Page Title="" Language="vb" AutoEventWireup="false" Theme="ACBP" MasterPageFile="~/Site.Master"
    CodeBehind="AddProyecto.aspx.vb" Inherits="ACBProyectos.AddProyecto" %>

<%@ Register Assembly="AjaxControlToolkit" Namespace="AjaxControlToolkit" TagPrefix="asp" %>
<%@ Register TagPrefix="Menu" Src="~/WebControls/Menu/MenuLateral.ascx" TagName="Lateral" %>
<%@ Register TagPrefix="Menu" Src="~/WebControls/Menu/MenuProyectos.ascx" TagName="Poryectos" %>
<asp:Content ID="HeaderContent" ContentPlaceHolderID="HeadContent" runat="server">
</asp:Content>
<asp:Content ID="MenuContent" ContentPlaceHolderID="LeftContent" runat="server">
    <Menu:Lateral ID="MenuLateral" runat="server" ClientIDMode="AutoID" />
</asp:Content>
<asp:Content ID="SubMenu" ContentPlaceHolderID="SubMenu" runat="server">
    <Menu:Poryectos ID="MenuProyectos" runat="server" ClientIDMode="AutoID" />
</asp:Content>
<asp:Content ID="BodyContent" ContentPlaceHolderID="MainContent" runat="server">
    <asp:UpdatePanel ID="UpdatePanelProyectos" runat="server">
        <ContentTemplate>
            <div class="FormDerecha" style="width: 60%">
                <fieldset class="FormGrupos">
                    <legend>
                        <asp:Label ID="LabelLegen1" runat="server" Text="<%$Resources:Interfaz,DatosPrincipales %>"></asp:Label></legend>
                    <p class="FormLine" style="margin-top: 20px">
                        <asp:Label ID="LabelCliente" AssociatedControlID="DropDownListClientes" runat="server"
                            Text="<%$Resources:Interfaz,Cliente %>" CssClass="FormLabel" Width="90px"></asp:Label>
                        <asp:DropDownList ID="DropDownListClientes" runat="server" Width="290px" DataTextField="Nombre"
                            DataValueField="ClienteID" DataSourceID="EntityDataSourceCliente" AutoPostBack="true">
                        </asp:DropDownList>
                        <asp:ListSearchExtender ID="ListSearchExtenderClientes" TargetControlID="DropDownListClientes"
                            runat="server" PromptCssClass="SearchExtender" PromptText="<%$Resources:Interfaz,SearchExtenderClientes %>"
                            PromptPosition="Top">
                        </asp:ListSearchExtender>
                        <asp:EntityDataSource ID="EntityDataSourceCliente" runat="server" ConnectionString="name=ACBProyectosEntities"
                            DefaultContainerName="ACBProyectosEntities" EnableFlattening="False" EntitySetName="tblCliente"
                            Where="it.IsBaja=False" OrderBy="it.Nombre ASC">
                        </asp:EntityDataSource>
                        <asp:RequiredFieldValidator ID="RequiredFieldValidatorCliente" ControlToValidate="DropDownListClientes"
                            ForeColor="Red" ValidationGroup="DatosProyecto" runat="server" ErrorMessage="<%$Resources:Interfaz,ClienteRequired %>">*</asp:RequiredFieldValidator>
                    </p>
                    <p class="FormLine">
                        <asp:Label ID="LabelNombre" AssociatedControlID="TextBoxNombre" runat="server" Text="<%$Resources:Interfaz,Nombre %>"
                            CssClass="FormLabel" Width="90px"></asp:Label>
                        <asp:TextBox ID="TextBoxNombre" runat="server" CssClass="FormTextBox" MaxLength="100"
                            Width="285px"></asp:TextBox>
                        <asp:RequiredFieldValidator ID="RequiredFieldNombre" ControlToValidate="TextBoxNombre"
                            ForeColor="Red" ValidationGroup="DatosProyecto" runat="server" ErrorMessage="<%$Resources:Interfaz,NombreRequired %>">*</asp:RequiredFieldValidator>
                    </p>
                    <p class="FormLine">
                        <asp:Label ID="LabelObservaciones" AssociatedControlID="TextBoxObservaciones" runat="server"
                            Text="<%$Resources:Interfaz,Descripcion %>" CssClass="FormLabel" Width="90px"></asp:Label>
                        <asp:TextBox ID="TextBoxObservaciones" runat="server" CssClass="FormTextBox" MaxLength="250"
                            Width="285px" TextMode="MultiLine" Rows="5"></asp:TextBox>
                    </p>
                    <p class="FormLine">
                        <asp:Label ID="LabelImporteTotal" AssociatedControlID="TextBoxImporteTotal" runat="server"
                            Text="<%$Resources:Interfaz,Importe %>" CssClass="FormLabel" Width="90px"></asp:Label>
                        <asp:TextBox ID="TextBoxImporteTotal" runat="server" CssClass="FormTextBox" Width="80px"></asp:TextBox>
                        <asp:RequiredFieldValidator ID="RequiredFieldImporteTotal" ControlToValidate="TextBoxImporteTotal"
                            ForeColor="Red" ValidationGroup="DatosProyecto" runat="server" ErrorMessage="<%$Resources:Interfaz,ImporteRequired %>">*</asp:RequiredFieldValidator>
                        <asp:MaskedEditExtender ID="MaskedEditExtenderImporteTotal" MaskType="Number" Mask="999999.99" AutoComplete="true"
                            DisplayMoney="Right" TargetControlID="TextBoxImporteTotal" runat="server"
                            InputDirection="RightToLeft">
                        </asp:MaskedEditExtender>
                    </p>
                    <p class="FormLine">
                        <asp:CheckBox ID="CheckBoxBaja" runat="server" Text="<%$Resources:Interfaz,Baja %>" />
                    </p>
                </fieldset>
                <fieldset class="FormGrupos">
                    <legend>
                        <asp:Label ID="LabelLegen2" runat="server" Text="<%$Resources:Interfaz,Planificacion %>"></asp:Label></legend>
                    <p class="FormLine">
                        <asp:Label ID="LabelFechaInicio" AssociatedControlID="TextBoxFechaInicio" runat="server"
                            Text="<%$Resources:Interfaz,FechaInicio %>" CssClass="FormLabel" Width="110px"></asp:Label>
                        <asp:TextBox ID="TextBoxFechaInicio" runat="server" CssClass="FormTextBox" MaxLength="10"
                            Width="70px"></asp:TextBox>
                        <asp:CalendarExtender ID="CalendarExtenderFechaInicio" TargetControlID="TextBoxFechaInicio"
                            PopupButtonID="TextBoxFechaInicio" runat="server">
                        </asp:CalendarExtender>
                        <asp:MaskedEditExtender ID="MaskedEditExtenderFechaInicio" MaskType="Date" Mask="99/99/9999"
                            runat="server" UserDateFormat="DayMonthYear" TargetControlID="TextBoxFechaInicio">
                        </asp:MaskedEditExtender>
                        <asp:RequiredFieldValidator ID="RequiredFieldFechaInicio" ControlToValidate="TextBoxFechaInicio"
                            ForeColor="Red" ValidationGroup="DatosProyecto" runat="server" ErrorMessage="<%$Resources:Interfaz,FechaInicioRequired %>">*</asp:RequiredFieldValidator>
                    </p>
                    <p class="FormLine">
                        <asp:Label ID="LabelFechaFin" AssociatedControlID="TextBoxFechaFin" runat="server"
                            Text="<%$Resources:Interfaz,FechaFin %>" CssClass="FormLabel" Width="110px"></asp:Label>
                        <asp:TextBox ID="TextBoxFechaFin" runat="server" CssClass="FormTextBox" MaxLength="10"
                            Width="70px"></asp:TextBox>
                        <asp:CalendarExtender ID="CalendarExtenderFechaFin" TargetControlID="TextBoxFechaFin"
                            PopupButtonID="TextBoxFechaFin" runat="server">
                        </asp:CalendarExtender>
                        <asp:MaskedEditExtender ID="MaskedEditExtenderFechaFin" MaskType="Date" Mask="99/99/9999"
                            runat="server" UserDateFormat="DayMonthYear" TargetControlID="TextBoxFechaFin">
                        </asp:MaskedEditExtender>
                        <asp:RequiredFieldValidator ID="RequiredFieldValidatorFechaFin" ControlToValidate="TextBoxFechaFin"
                            ForeColor="Red" ValidationGroup="DatosProyecto" runat="server" ErrorMessage="<%$Resources:Interfaz,FechaFinRequired %>">*</asp:RequiredFieldValidator>
                    </p>
                    <p class="FormLine">
                        <asp:Label ID="LabelFechaCerrado" AssociatedControlID="TextBoxFechaCerrado" runat="server"
                            Text="<%$Resources:Interfaz,FechaCerrado %>" CssClass="FormLabel" Width="110px"></asp:Label>
                        <asp:TextBox ID="TextBoxFechaCerrado" runat="server" CssClass="FormTextBox" MaxLength="10"
                            Width="70px"></asp:TextBox>
                        <asp:CalendarExtender ID="CalendarExtenderFechaCerrado" TargetControlID="TextBoxFechaCerrado"
                            PopupButtonID="TextBoxFechaCerrado" runat="server">
                        </asp:CalendarExtender>
                        <asp:MaskedEditExtender ID="MaskedEditExtenderFechaCerrado" MaskType="Date" Mask="99/99/9999"
                            runat="server" UserDateFormat="DayMonthYear" TargetControlID="TextBoxFechaCerrado">
                        </asp:MaskedEditExtender>
                    </p>
                </fieldset>
                <fieldset class="FormGrupos">
                    <legend>
                        <asp:Label ID="LabelLegend3" runat="server" Text="<%$Resources:Interfaz,Situacion %>"></asp:Label></legend>
                    <p class="FormLine">
                        <asp:Label ID="LabelEstado" AssociatedControlID="DropDownListEstados" runat="server"
                            Text="<%$Resources:Interfaz,Estado %>" CssClass="FormLabel" Width="90px"></asp:Label>
                        <asp:DropDownList ID="DropDownListEstados" runat="server" Width="150px" DataSourceID="EntityDataSourceEstado"
                            DataTextField="Nombre" DataValueField="EstadoID" AutoPostBack="true">
                        </asp:DropDownList>
                        <asp:EntityDataSource ID="EntityDataSourceEstado" runat="server" ConnectionString="name=ACBProyectosEntities"
                            DefaultContainerName="ACBProyectosEntities" EnableFlattening="False" EntitySetName="vEstadosProyectos"
                            OrderBy="it.EstadoID ASC">
                        </asp:EntityDataSource>
                        <asp:RequiredFieldValidator ID="RequiredFieldValidatorEstado" ControlToValidate="DropDownListEstados"
                            ForeColor="Red" ValidationGroup="DatosProyecto" InitialValue="0" runat="server"
                            ErrorMessage="<%$Resources:Interfaz,EstadoRequired %>">*</asp:RequiredFieldValidator>
                    </p>
                </fieldset>
            </div>
            <div class="FormIzquierda" style="width: 39%">
                <fieldset id="FieldsetFases" class="FormGrupos2" runat="server">
                    <legend>
                        <asp:Label ID="LabelFases" runat="server" Text="<%$Resources:Interfaz,Fases %>"></asp:Label></legend>
                    <p class="FormLine2">
                        <asp:GridView ID="GridViewFases" SkinID="GridProyectosACBP" runat="server" DataSourceID="EntityDataSourceFases"
                            DataKeyNames="FaseID" AllowPaging="true" AllowSorting="false" AutoGenerateColumns="false"
                            PageSize="2" ShowHeader="false" ShowFooter="false">
                            <Columns>
                                <asp:BoundField DataField="Nombre" HeaderText="<%$Resources:Interfaz,Nombre %>" ItemStyle-Width="190px"
                                    HeaderStyle-Width="190px" />
                                <asp:BoundField DataField="Horas" HeaderText="<%$Resources:Interfaz,FaseHoras %>"
                                    ItemStyle-Width="40px" HeaderStyle-Width="40px" />
                                <asp:TemplateField>
                                    <ItemTemplate>
                                        <asp:LinkButton ID="ButtonEliminar" CommandName="Eliminar" CommandArgument='<%# Eval("FaseID")%>'
                                            runat="server" Text="Eliminar"></asp:LinkButton>
                                        <asp:ConfirmButtonExtender ID="ConfirmButtonExtenderEliminar" TargetControlID="ButtonEliminar"
                                            ConfirmText="<%$Resources:Interfaz,ConfirmDeleteGrid %>" runat="server">
                                        </asp:ConfirmButtonExtender>
                                    </ItemTemplate>
                                </asp:TemplateField>
                            </Columns>
                        </asp:GridView>
                        <asp:LinkButton ID="LinkButtonNuevaFase" runat="server" Text="<%$Resources:Interfaz,Añadir %>" Visible="false" CssClass="LinkButtonAñadir" ForeColor="#333333"></asp:LinkButton>
                        <asp:EntityDataSource ID="EntityDataSourceFases" runat="server" ConnectionString="name=ACBProyectosEntities"
                            DefaultContainerName="ACBProyectosEntities" EnableFlattening="False" EntitySetName="tblFase"
                            Where="it.ProyectoID=@ProyectoID">
                            <WhereParameters>
                                <asp:QueryStringParameter Name="ProyectoID" QueryStringField="ProyectoID" Type="Int32" />
                            </WhereParameters>
                        </asp:EntityDataSource>
                    </p>
                </fieldset>
                <fieldset id="FieldsetGastos" class="FormGrupos2" style="margin-top: 13px;" runat="server">
                    <legend>
                        <asp:Label ID="Label1" runat="server" Text="<%$Resources:Interfaz,Gastos %>"></asp:Label></legend>
                    <p class="FormLine2">
                        <asp:GridView ID="GridViewGastos" SkinID="GridProyectosACBP" runat="server" DataSourceID="EntityDataSourceGastos"
                            DataKeyNames="GastoID" AllowPaging="true" AllowSorting="false" AutoGenerateColumns="false"
                            PageSize="2" ShowHeader="false">
                            <Columns>
                                <asp:BoundField DataField="Nombre" HeaderText="<%$Resources:Interfaz,Nombre %>" ItemStyle-Width="230px"
                                    HeaderStyle-Width="230px" />
                                <asp:TemplateField>
                                    <ItemTemplate>
                                        <asp:LinkButton ID="ButtonEliminar" CommandName="Eliminar" CommandArgument='<%# Eval("GastoID")%>'
                                            runat="server" Text="Eliminar"></asp:LinkButton>
                                        <asp:ConfirmButtonExtender ID="ConfirmButtonExtenderEliminar" TargetControlID="ButtonEliminar"
                                            ConfirmText="<%$Resources:Interfaz,ConfirmDeleteGrid %>" runat="server">
                                        </asp:ConfirmButtonExtender>
                                    </ItemTemplate>
                                </asp:TemplateField>
                            </Columns>
                        </asp:GridView>
                        <asp:LinkButton ID="LinkButtonNuevoGasto" runat="server" Text="<%$Resources:Interfaz,Añadir %>" Visible="false" CssClass="LinkButtonAñadir" ForeColor="#333333"></asp:LinkButton>
                        <asp:EntityDataSource ID="EntityDataSourceGastos" runat="server" ConnectionString="name=ACBProyectosEntities"
                            DefaultContainerName="ACBProyectosEntities" EnableFlattening="False" EntitySetName="tblGasto"
                            Where="it.ProyectoID=@ProyectoID">
                            <WhereParameters>
                                <asp:QueryStringParameter Name="ProyectoID" QueryStringField="ProyectoID" Type="Int32" />
                            </WhereParameters>
                        </asp:EntityDataSource>
                    </p>
                </fieldset>
                <fieldset id="FieldsetRecursos" class="FormGrupos2" style="margin-top: 13px;" runat="server">
                    <legend>
                        <asp:Label ID="LabelRecursos" runat="server" Text="<%$Resources:Interfaz,Recurso %>"></asp:Label></legend>
                    <p class="FormLine2">
                        <asp:GridView ID="GridViewRecursos" SkinID="GridProyectosACBP" runat="server" DataSourceID="EntityDataSourceRecursos"
                            DataKeyNames="RecursoID" AllowPaging="true" AllowSorting="false" AutoGenerateColumns="false"
                            PageSize="2" ShowHeader="false">
                            <Columns>
                                <asp:BoundField DataField="Nombre" HeaderText="<%$Resources:Interfaz,Nombre %>" ItemStyle-Width="230px"
                                    HeaderStyle-Width="230px" />
                                <asp:TemplateField>
                                    <ItemTemplate>
                                        <asp:LinkButton ID="ButtonEliminar" CommandName="Eliminar" CommandArgument='<%# Eval("RecursoID")%>'
                                            runat="server" Text="Eliminar"></asp:LinkButton>
                                        <asp:ConfirmButtonExtender ID="ConfirmButtonExtenderEliminar" TargetControlID="ButtonEliminar"
                                            ConfirmText="<%$Resources:Interfaz,ConfirmDeleteGrid %>" runat="server">
                                        </asp:ConfirmButtonExtender>
                                    </ItemTemplate>
                                </asp:TemplateField>
                            </Columns>
                        </asp:GridView>
                        <asp:LinkButton ID="LinkButtonRecursos" runat="server" Text="<%$Resources:Interfaz,Añadir %>" Visible="false" CssClass="LinkButtonAñadir" ForeColor="#333333"></asp:LinkButton>
                        <asp:EntityDataSource ID="EntityDataSourceRecursos" runat="server" ConnectionString="name=ACBProyectosEntities"
                            DefaultContainerName="ACBProyectosEntities" EnableFlattening="False" EntitySetName="vProyectoRecursos"
                            Where="it.ProyectoID=@ProyectoID">
                            <WhereParameters>
                                <asp:QueryStringParameter Name="ProyectoID" QueryStringField="ProyectoID" Type="Int32" />
                            </WhereParameters>
                        </asp:EntityDataSource>
                    </p>
                </fieldset>
            </div>
            <asp:ValidationSummary ID="ValidationSummaryProyectos" DisplayMode="BulletList" ShowMessageBox="true"
                runat="server" ValidationGroup="DatosProyecto" ShowSummary="false" />
            <div class="FooterBar">
                <asp:Button ID="ButtonGuardar" runat="server" Text="<%$Resources:Interfaz,BotonGuardar %>"
                    CssClass="ButtonGray" ValidationGroup="DatosProyecto" />
                <asp:Button ID="ButtonModificar" runat="server" Text="<%$Resources:Interfaz,BotonModificar %>"
                    CssClass="ButtonGray" ValidationGroup="DatosProyecto" Visible="false" />
                <asp:ConfirmButtonExtender ID="ConfirmButtonExtenderModificar" TargetControlID="ButtonModificar"
                    ConfirmText="<%$Resources:Interfaz,ConfirmUpdateProyectos %>" runat="server">
                </asp:ConfirmButtonExtender>
                <asp:Button ID="ButtonCancelar" runat="server" Text="<%$Resources:Interfaz,BotonCancelar %>"
                    CssClass="ButtonGray" PostBackUrl="~/Pages/Proyectos/Default.aspx" />
            </div>
            <!--Panel de creación fases-->
            <asp:Panel ID="PanelFases" CssClass="PanelSearch" runat="server">
                <asp:Panel ID="PanelFasesCab" CssClass="PanelSearchCab" runat="server">
                    <asp:Label ID="LabelAccionFase" runat="server" Text="<%$Resources:Interfaz,AñadirFases %>"></asp:Label>
                </asp:Panel>
                <asp:Panel ID="PanelText" CssClass="PanelSearchForm" runat="server">
                    <fieldset class="FormGrupos">
                        <legend>
                            <asp:Label ID="LabelFormFases" runat="server" Text="<%$Resources:Interfaz,Fase %>"></asp:Label></legend>
                        <p class="FormLine">
                            <asp:Label ID="LabelFormNombre" AssociatedControlID="TextBoxFaseNombre" runat="server"
                                Text="<%$Resources:Interfaz,Nombre %>" CssClass="FormLabel" Width="70px"></asp:Label>
                            <asp:TextBox ID="TextBoxFaseNombre" runat="server" CssClass="FormTextBox" MaxLength="30"
                                Width="160px"></asp:TextBox>
                            <asp:RequiredFieldValidator ID="RequiredFieldValidatorFaseNombre" ControlToValidate="TextBoxFaseNombre"
                                ForeColor="Red" ValidationGroup="DatosFase" runat="server" ErrorMessage="<%$Resources:Interfaz,NombreRequired %>">*</asp:RequiredFieldValidator>
                        </p>
                        <p class="FormLine">
                            <asp:Label ID="LabelFormHoras" AssociatedControlID="TextBoxFaseHoras" runat="server"
                                Text="<%$Resources:Interfaz,Hora %>" CssClass="FormLabel" Width="70px"></asp:Label>
                            <asp:TextBox ID="TextBoxFaseHoras" runat="server" CssClass="FormTextBox" MaxLength="30"
                                Width="160px"></asp:TextBox>
                            <asp:MaskedEditExtender ID="MaskedEditExtenderHora" MaskType="Number" Mask="999.99"
                                TargetControlID="TextBoxFaseHoras" runat="server" AutoComplete="false" InputDirection="LeftToRight">
                            </asp:MaskedEditExtender>
                            <asp:RequiredFieldValidator ID="RequiredFieldValidatorHoras" ControlToValidate="TextBoxFaseHoras"
                                ForeColor="Red" ValidationGroup="DatosFase" runat="server" ErrorMessage="<%$Resources:Interfaz,HorasRequired %>">*</asp:RequiredFieldValidator>
                        </p>
                    </fieldset>
                </asp:Panel>
                <asp:Panel ID="PanelButton" CssClass="PanelSearchButton" runat="server">
                    <asp:Button ID="ButtonGuardarFase" ValidationGroup="DatosFase" CssClass="ButtonGray"
                        runat="server" Text="<%$Resources:Interfaz,BotonGuardar %>" />
                    <asp:Button ID="ButtonCancelarFase" CssClass="ButtonGray" runat="server" Text="<%$Resources:Interfaz,BotonCancelar %>" />
                </asp:Panel>
            </asp:Panel>
            <asp:ModalPopupExtender ID="ModalPopupExtenderFasePanel" ClientIDMode="AutoID" PopupControlID="PanelFases"
                TargetControlID="LinkButtonNuevaFase" DropShadow="true" PopupDragHandleControlID="PanelFasesCab"
                runat="server">
            </asp:ModalPopupExtender>
            <!--Panel de creación gastos-->
            <asp:Panel ID="PanelGastos" CssClass="PanelSearch" runat="server">
                <asp:Panel ID="PanelGastosCab" CssClass="PanelSearchCab" runat="server">
                    <asp:Label ID="LabelAccionGasto" runat="server" Text="<%$Resources:Interfaz,AñadirGastos %>"></asp:Label>
                </asp:Panel>
                <asp:Panel ID="PanelText2" CssClass="PanelSearchForm" runat="server">
                    <fieldset class="FormGrupos">
                        <legend>
                            <asp:Label ID="LabelFormGastos" runat="server" Text="<%$Resources:Interfaz,Gasto %>"></asp:Label></legend>
                        <p class="FormLine">
                            <asp:Label ID="LabelFormNombre2" AssociatedControlID="TextBoxGastoNombre" runat="server"
                                Text="<%$Resources:Interfaz,Nombre %>" CssClass="FormLabel" Width="70px"></asp:Label>
                            <asp:TextBox ID="TextBoxGastoNombre" runat="server" CssClass="FormTextBox" MaxLength="30"
                                Width="160px"></asp:TextBox>
                            <asp:RequiredFieldValidator ID="RequiredFieldValidatorGastoNombre" ControlToValidate="TextBoxGastoNombre"
                                ForeColor="Red" ValidationGroup="DatosGasto" runat="server" ErrorMessage="<%$Resources:Interfaz,NombreRequired %>">*</asp:RequiredFieldValidator>
                        </p>
                    </fieldset>
                </asp:Panel>
                <asp:Panel ID="PanelButton2" CssClass="PanelSearchButton" runat="server">
                    <asp:Button ID="ButtonGuardarGasto" ValidationGroup="DatosGasto" CssClass="ButtonGray"
                        runat="server" Text="<%$Resources:Interfaz,BotonGuardar %>" />
                    <asp:Button ID="ButtonCancelarGasto" CssClass="ButtonGray" runat="server" Text="<%$Resources:Interfaz,BotonCancelar %>" />
                </asp:Panel>
            </asp:Panel>
            <asp:ModalPopupExtender ID="ModalPopupExtenderGastoPanel" ClientIDMode="AutoID" PopupControlID="PanelGastos"
                TargetControlID="LinkButtonNuevoGasto" DropShadow="true" PopupDragHandleControlID="PanelGastosCab"
                runat="server">
            </asp:ModalPopupExtender>
            <!--Panel de asignacion recursos-->
            <asp:Panel ID="PanelRecursos" CssClass="PanelSearch" runat="server">
                <asp:Panel ID="PanelRecursosCab" CssClass="PanelSearchCab" runat="server">
                    <asp:Label ID="LabelAcccionRecurso" runat="server" Text="<%$Resources:Interfaz,AñadirRecursos %>"></asp:Label>
                </asp:Panel>
                <asp:Panel ID="PanelText3" CssClass="PanelSearchForm" runat="server">
                    <fieldset class="FormGrupos">
                        <legend>
                            <asp:Label ID="LabelFormRecursos" runat="server" Text="<%$Resources:Interfaz,Recurso %>"></asp:Label></legend>
                        <p class="FormLine">
                            <asp:Label ID="LabelRecurso" AssociatedControlID="DropDownListRecursos" runat="server"
                                Text="<%$Resources:Interfaz,Recurso %>" CssClass="FormLabel" Width="70px"></asp:Label>
                            <asp:DropDownList ID="DropDownListRecursos" runat="server" Width="180px" DataTextField="Nombre"
                                DataValueField="RecursoID" DataSourceID="EntityDataSourceAsgRecursos">
                            </asp:DropDownList>
                            <asp:ListSearchExtender ID="ListSearchExtenderRecursos" TargetControlID="DropDownListRecursos"
                                runat="server" PromptCssClass="SearchExtender" PromptText="<%$Resources:Interfaz,SearchExtenderRecursos %>"
                                PromptPosition="Top">
                            </asp:ListSearchExtender>
                            <asp:EntityDataSource ID="EntityDataSourceAsgRecursos" runat="server" ConnectionString="name=ACBProyectosEntities"
                                DefaultContainerName="ACBProyectosEntities" EnableFlattening="False" CommandText="SELECT tblRecurso.RecursoID,tblRecurso.Nombre+' '+tblRecurso.PrimerApellido+' '+tblRecurso.SegundoApellido AS Nombre FROM tblRecurso WHERE tblRecurso.IsBaja=False ORDER BY Nombre">
                            </asp:EntityDataSource>
                            <asp:RequiredFieldValidator ID="RequiredFieldValidatorRecursos" ControlToValidate="DropDownListRecursos"
                                ForeColor="Red" ValidationGroup="DatosRecurso" runat="server" ErrorMessage="<%$Resources:Interfaz,RecursoRequired %>">*</asp:RequiredFieldValidator>
                        </p>
                    </fieldset>
                </asp:Panel>
                <asp:Panel ID="Panel4" CssClass="PanelSearchButton" runat="server">
                    <asp:Button ID="ButtonGuardarRecurso" CssClass="ButtonGray" ValidationGroup="DatosRecurso"
                        runat="server" Text="<%$Resources:Interfaz,BotonGuardar %>" />
                    <asp:Button ID="ButtonCancelarRecurso" CssClass="ButtonGray" runat="server" Text="<%$Resources:Interfaz,BotonCancelar %>" />
                </asp:Panel>
            </asp:Panel>
            <asp:ModalPopupExtender ID="ModalPopupExtenderRecursoPanel" ClientIDMode="AutoID"
                PopupControlID="PanelRecursos" TargetControlID="LinkButtonRecursos" DropShadow="true"
                PopupDragHandleControlID="PanelRecursosCab" runat="server">
            </asp:ModalPopupExtender>
        </ContentTemplate>
    </asp:UpdatePanel>
</asp:Content>
