﻿<%@ Page Title="" Language="vb" AutoEventWireup="false" MasterPageFile="~/Site.Master" Theme="ACBP" CodeBehind="GraficoCumplimiento.aspx.vb" Inherits="ACBProyectos.GraficoCumplimiento" %>

<%@ Register Assembly="AjaxControlToolkit" Namespace="AjaxControlToolkit" TagPrefix="asp" %>
<%@ Register TagPrefix="Menu" Src="~/WebControls/Menu/MenuLateral.ascx" TagName="Lateral" %>
<%@ Register TagPrefix="Menu" Src="~/WebControls/Menu/MenuReporting.ascx" TagName="Reporting" %>
<asp:Content ID="HeaderContent" ContentPlaceHolderID="HeadContent" runat="server">
</asp:Content>
<asp:Content ID="MenuContent" ContentPlaceHolderID="LeftContent" runat="server">
    <Menu:Lateral ID="MenuLateral" ClientIDMode="AutoID" runat="server" />
</asp:Content>
<asp:Content ID="SubMenu" ContentPlaceHolderID="SubMenu" runat="server">
    <Menu:Reporting ID="MenuReporting" ClientIDMode="AutoID" runat="server" />
</asp:Content>
<asp:Content ID="BodyContent" ContentPlaceHolderID="MainContent" runat="server">
    <asp:UpdatePanel ID="UpdatePanelReporting" runat="server">
        <ContentTemplate>
            <div class="ReportContent">
                <fieldset class="FormGrupos">
                    <legend>
                        <asp:Label ID="LabelCamposFiltro" runat="server" Text="<%$Resources:Interfaz,CamposFiltro %>"></asp:Label></legend>
                    <p class="FormLine" style="margin-top: 20px">
                        <asp:Label ID="LabelCliente" AssociatedControlID="DropDownListClientes" runat="server"
                            Text="<%$Resources:Interfaz,Cliente %>" CssClass="FormLabel" Width="90px"></asp:Label>
                        <asp:DropDownList ID="DropDownListClientes" runat="server" Width="290px" DataTextField="Nombre"
                            DataValueField="ClienteID" DataSourceID="EntityDataSourceCliente" AutoPostBack="true">
                        </asp:DropDownList>
                        <asp:ListSearchExtender ID="ListSearchExtenderClientes" TargetControlID="DropDownListClientes"
                            runat="server" PromptCssClass="SearchExtender" PromptText="<%$Resources:Interfaz,SearchExtenderClientes %>"
                            PromptPosition="Top">
                        </asp:ListSearchExtender>
                        <asp:EntityDataSource ID="EntityDataSourceCliente" runat="server" ConnectionString="name=ACBProyectosEntities"
                            DefaultContainerName="ACBProyectosEntities" EnableFlattening="False" EntitySetName="vClientesTareas"
                            OrderBy="it.Nombre ASC" Where="it.RecursoID=@RecursoID">
                            <WhereParameters>
                                <asp:SessionParameter Name="RecursoID" SessionField="RecursoID" Type="Object" />
                            </WhereParameters>
                        </asp:EntityDataSource>
                        <asp:RequiredFieldValidator ID="RequiredFieldValidatorCliente" ControlToValidate="DropDownListClientes"
                            ForeColor="Red" ValidationGroup="Reporting" runat="server" ErrorMessage="<%$Resources:Interfaz,ClienteRequired %>">*</asp:RequiredFieldValidator>
                    </p>
                    <p class="FormLine" style="margin-top: 20px">
                        <asp:Label ID="LabelProyecto" AssociatedControlID="DropDownListProyectos" runat="server"
                            Text="<%$Resources:Interfaz,Proyecto %>" CssClass="FormLabel" Width="90px"></asp:Label>
                        <asp:DropDownList ID="DropDownListProyectos" runat="server" Width="290px" DataTextField="Nombre"
                            DataValueField="ProyectoID" DataSourceID="EntityDataSourceProyecto" AutoPostBack="true">
                        </asp:DropDownList>
                        <asp:ListSearchExtender ID="ListSearchExtenderProyectos" TargetControlID="DropDownListProyectos"
                            runat="server" PromptCssClass="SearchExtender" PromptText="<%$Resources:Interfaz,SearchExtenderProyectos %>"
                            PromptPosition="Top">
                        </asp:ListSearchExtender>
                        <asp:EntityDataSource ID="EntityDataSourceProyecto" runat="server" ConnectionString="name=ACBProyectosEntities"
                            DefaultContainerName="ACBProyectosEntities" EnableFlattening="False" EntitySetName="vProyectosTareas"
                            OrderBy="it.Nombre ASC" Where="it.ClienteID=@ClienteID AND it.RecursoID=@RecursoID">
                            <WhereParameters>
                                <asp:ControlParameter Name="ClienteID" ControlID="DropDownListClientes" Type="Int32" />
                                <asp:SessionParameter Name="RecursoID" SessionField="RecursoID" Type="Object" />
                            </WhereParameters>
                        </asp:EntityDataSource>
                        <asp:RequiredFieldValidator ID="RequiredFieldValidatorProyectos" ControlToValidate="DropDownListProyectos"
                            ForeColor="Red" ValidationGroup="Reporting" runat="server" ErrorMessage="<%$Resources:Interfaz,ProyectoRequired %>">*</asp:RequiredFieldValidator>
                    </p>
                </fieldset>
                <asp:ValidationSummary ID="ValidationSummaryReporting" DisplayMode="BulletList" ShowMessageBox="true"
                    runat="server" ValidationGroup="Reporting" ShowSummary="false" />
                <div class="FooterBar" style="width: 100%; text-align: right">
                    <asp:Button ID="ButtonFiltrar" CssClass="ButtonGray" ValidationGroup="Reporting"
                        runat="server" Text="<%$Resources:Interfaz,BotonFiltrar %>" />
                </div>
            </div>
        </ContentTemplate>
    </asp:UpdatePanel>
</asp:Content>
