﻿<%@ Control Language="vb" AutoEventWireup="false" CodeBehind="MenuLateral.ascx.vb"
    Inherits="ACBProyectos.MenuLateral" %>
<%@ Register Assembly="AjaxControlToolkit" Namespace="AjaxControlToolkit" TagPrefix="ajax" %>
<asp:UpdatePanel ID="UpdatePanelMenu" runat="server">
    <ContentTemplate>
        <div id="menu">
            <div class="menuCab">
                <asp:LinkButton ID="LinkButtonPassword" ForeColor="#333333" runat="server" Text="<%$Resources:Interfaz,CambioPassword %>"></asp:LinkButton>
            </div>
            <div class="menuCal">
                <asp:Calendar ID="CalendarioTareas" SkinID="CalendarioACBP" runat="server"></asp:Calendar>
            </div>
            <div class="menuTar">
                <div class="menuTarCab">
                    <asp:Label ID="labelCabeceraTareas" runat="server" Text="<%$Resources:Interfaz,ListaTareasCab %>"></asp:Label>
                    <asp:Label ID="labelFechaTareas" runat="server"></asp:Label>
                </div>
                <asp:BulletedList ID="BulletedListTareas" ClientIDMode="AutoID" DisplayMode="LinkButton"
                    runat="server">
                </asp:BulletedList>
            </div>
            <div class="menuOpt">
                <asp:LoginView ID="LoginViewMenu" runat="server">
                    <RoleGroups>
                        <asp:RoleGroup Roles="Administrador">
                            <ContentTemplate>
                                <p style="margin: 0; float: left; margin-bottom: 2px">
                                    <asp:Button ID="ButtonDefiniciones" CssClass="ButtonGreen" Width="100%" runat="server"
                                        Text="<%$Resources:Interfaz,MenuDefiniciones %>" OnClick="ButtonDefiniciones_Click" /></p>
                                <p style="margin: 0; float: left; margin-bottom: 2px">
                                    <asp:Button ID="ButtonProyectos" CssClass="ButtonGreen" runat="server" Width="100%"
                                        Text="<%$Resources:Interfaz,MenuProyectos %>" OnClick="ButtonProyectos_Click" /></p>
                                <p style="margin: 0; float: left; margin-bottom: 2px">
                                    <asp:Button ID="ButtonTareas" CssClass="ButtonGreen" runat="server" Width="100%"
                                        Text="<%$Resources:Interfaz,MenuTareas %>" OnClick="ButtonTareas_Click" /></p>
                                <p style="margin: 0; float: left; margin-bottom: 2px">
                                    <asp:Button ID="ButtonRecursos" CssClass="ButtonGreen" runat="server" Width="100%"
                                        Text="<%$Resources:Interfaz,MenuRecursos %>" OnClick="ButtonRecursos_Click" /></p>
                                <p style="margin: 0; float: left; margin-bottom: 2px">
                                    <asp:Button ID="ButtonHoras" CssClass="ButtonGreen" runat="server" Width="100%" Text="<%$Resources:Interfaz,MenuHoras %>"
                                        OnClick="ButtonHorasGastos_Click" /></p>
                                <p style="margin: 0; float: left; margin-bottom: 2px">
                                    <asp:Button ID="ButtonArchivos" CssClass="ButtonGreen" runat="server" Width="100%"
                                        Text="<%$Resources:Interfaz,MenuArchivos %>" OnClick="ButtonArchivos_Click" /></p>
                                <p style="margin: 0; float: left; margin-bottom: 2px">
                                    <asp:Button ID="ButtonReporting" CssClass="ButtonGreen" runat="server" Width="100%"
                                        Text="<%$Resources:Interfaz,MenuReporting %>" OnClick="ButtonReporting_Click" /></p>
                            </ContentTemplate>
                        </asp:RoleGroup>
                        <asp:RoleGroup Roles="Analista / Programador">
                            <ContentTemplate>
                                <p style="margin: 0; float: left; margin-bottom: 2px">
                                    <asp:Button ID="ButtonTareas" CssClass="ButtonGreen" runat="server" Width="100%"
                                        Text="<%$Resources:Interfaz,MenuTareas %>" OnClick="ButtonTareas_Click" /></p>
                                <p style="margin: 0; float: left; margin-bottom: 2px">
                                    <asp:Button ID="ButtonHoras" CssClass="ButtonGreen" runat="server" Width="100%" Text="<%$Resources:Interfaz,MenuHoras %>"
                                        OnClick="ButtonHorasGastos_Click" /></p>
                                <p style="margin: 0; float: left; margin-bottom: 2px">
                                    <asp:Button ID="ButtonArchivos" CssClass="ButtonGreen" runat="server" Width="100%"
                                        Text="<%$Resources:Interfaz,MenuArchivos %>" OnClick="ButtonArchivos_Click" /></p>
                            </ContentTemplate>
                        </asp:RoleGroup>
                        <asp:RoleGroup Roles="Jefe de proyecto">
                            <ContentTemplate>
                                <p style="margin: 0; float: left; margin-bottom: 2px">
                                    <asp:Button ID="ButtonProyectos" CssClass="ButtonGreen" runat="server" Width="100%"
                                        Text="<%$Resources:Interfaz,MenuProyectos %>" OnClick="ButtonProyectos_Click" /></p>
                                <p style="margin: 0; float: left; margin-bottom: 2px">
                                    <asp:Button ID="ButtonTareas" CssClass="ButtonGreen" runat="server" Width="100%"
                                        Text="<%$Resources:Interfaz,MenuTareas %>" OnClick="ButtonTareas_Click" /></p>
                                <p style="margin: 0; float: left; margin-bottom: 2px">
                                    <asp:Button ID="ButtonHoras" CssClass="ButtonGreen" runat="server" Width="100%" Text="<%$Resources:Interfaz,MenuHoras %>"
                                        OnClick="ButtonHorasGastos_Click" /></p>
                                <p style="margin: 0; float: left; margin-bottom: 2px">
                                    <asp:Button ID="ButtonArchivos" CssClass="ButtonGreen" runat="server" Width="100%"
                                        Text="<%$Resources:Interfaz,MenuArchivos %>" OnClick="ButtonArchivos_Click" /></p>
                                <p style="margin: 0; float: left; margin-bottom: 2px">
                                    <asp:Button ID="ButtonReporting" CssClass="ButtonGreen" runat="server" Width="100%"
                                        Text="<%$Resources:Interfaz,MenuReporting %>" OnClick="ButtonReporting_Click" /></p>
                            </ContentTemplate>
                        </asp:RoleGroup>
                    </RoleGroups>
                </asp:LoginView>
            </div>
        </div>
        <asp:Panel ID="PanelPerfil" CssClass="PanelSearch" runat="server" style="display:none">
            <asp:Panel ID="PanelPerfilCab" CssClass="PanelSearchCab" runat="server">
                <asp:Label ID="LabelAccionGasto" runat="server" Text="<%$Resources:Interfaz,CambioPassword %>"></asp:Label>
            </asp:Panel>
            <asp:Panel ID="PanelText2" CssClass="PanelSearchForm" runat="server">
                <fieldset class="FormGrupos">
                    <legend>
                        <asp:Label ID="LabelFormPerfil" runat="server" Text="<%$Resources:Interfaz,DatosPassword %>"></asp:Label></legend>
                    <p class="FormLine">
                        <asp:Label ID="LabelFormPasswordAnterior" AssociatedControlID="TextBoxPasswordAnterior"
                            runat="server" Text="<%$Resources:Interfaz,PasswordAnterior %>" CssClass="FormLabel"
                            Width="70px"></asp:Label>
                        <asp:TextBox ID="TextBoxPasswordAnterior" TextMode="Password" runat="server" CssClass="FormTextBox"
                            MaxLength="30" Width="160px"></asp:TextBox>
                        <asp:RequiredFieldValidator ID="RequiredFieldValidatorPasswordAnterior" ControlToValidate="TextBoxPasswordAnterior"
                            ForeColor="Red" ValidationGroup="DatosPefil" runat="server" ErrorMessage="<%$Resources:Interfaz,PasswordAnteriorRequired %>">*</asp:RequiredFieldValidator>
                    </p>
                    <p class="FormLine">
                        <asp:Label ID="Label1" AssociatedControlID="TextBoxNuevoPassword" runat="server"
                            Text="<%$Resources:Interfaz,PasswordActual %>" CssClass="FormLabel" Width="70px"></asp:Label>
                        <asp:TextBox ID="TextBoxNuevoPassword" runat="server" TextMode="Password" CssClass="FormTextBox"
                            MaxLength="30" Width="160px"></asp:TextBox>
                        <asp:RequiredFieldValidator ID="RequiredFieldValidator1" ControlToValidate="TextBoxNuevoPassword"
                            ForeColor="Red" ValidationGroup="DatosPefil" runat="server" ErrorMessage="<%$Resources:Interfaz,PasswordActualRequired %>">*</asp:RequiredFieldValidator>
                    </p>
                    <p class="FormLine">
                        <asp:Label ID="Label2" AssociatedControlID="TextBoxConfirmarPassword" runat="server"
                            Text="<%$Resources:Interfaz,PasswordConfirmar %>" CssClass="FormLabel" Width="70px"></asp:Label>
                        <asp:TextBox ID="TextBoxConfirmarPassword" runat="server" TextMode="Password" CssClass="FormTextBox"
                            MaxLength="30" Width="160px"></asp:TextBox>
                        <asp:RequiredFieldValidator ID="RequiredFieldValidator2" ControlToValidate="TextBoxConfirmarPassword"
                            ForeColor="Red" ValidationGroup="DatosPefil" runat="server" ErrorMessage="<%$Resources:Interfaz,PasswordConfirmarRequired %>">*</asp:RequiredFieldValidator>
                    </p>
                </fieldset>
            </asp:Panel>
            <asp:Panel ID="PanelButton2" CssClass="PanelSearchButton" runat="server">
                <asp:Button ID="ButtonGuardarPassword" ValidationGroup="DatosPefil" CssClass="ButtonGray"
                    runat="server" Text="<%$Resources:Interfaz,BotonGuardar %>" />
                <asp:Button ID="ButtonCancelarPassword" CssClass="ButtonGray" runat="server" Text="<%$Resources:Interfaz,BotonCancelar %>" />
            </asp:Panel>
        </asp:Panel>
        <ajax:ModalPopupExtender ID="ModalPopupExtenderPerfilPanel" ClientIDMode="AutoID"
            PopupControlID="PanelPerfil" TargetControlID="LinkButtonPassword" DropShadow="true"
            PopupDragHandleControlID="PanelPerfilCab" runat="server">
        </ajax:ModalPopupExtender>
    </ContentTemplate>
</asp:UpdatePanel>
