﻿<%@ Page Language="vb" AutoEventWireup="false" CodeBehind="Login.aspx.vb" Inherits="ACBProyectos.Login1" Culture="Auto" UICulture="Auto" %>

<%@ Register Assembly="AjaxControlToolkit" Namespace="AjaxControlToolkit" TagPrefix="asp" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title>
        <asp:Literal Text="<%$Resources: Interfaz,LoginTitulo  %>" runat="server" />
    </title>
    <meta http-equiv="X-UA-Compatible" content="IE=EmulateIE7" />
    <link href="~/Styles/Site.css" rel="stylesheet" type="text/css" />
</head>
<body style="background: #999999;">
    <form id="form1" runat="server">
    <asp:ToolkitScriptManager ID="ToolkitScriptManagerLogin" runat="server">
    </asp:ToolkitScriptManager>
    <div class="Principal">
        <img src="Styles/Imagenes/ACBProyectos.png" alt="" />
        <asp:Panel ID="PanelLogin" BackColor="#cccc00" Width="300px" runat="server">
            <asp:Login ID="LoginUser" runat="server" EnableViewState="false" RenderOuterTable="false"
                FailureText="<%$Resources:Interfaz,ErrorLogin %>">
                <LayoutTemplate>
                    <div class="accountInfo">
                        <p>
                            <asp:Label ID="UserNameLabel" runat="server" CssClass="LabelForm" AssociatedControlID="UserName"
                                Text="<%$Resources:Interfaz,LoginUser %>"></asp:Label>
                            <asp:TextBox ID="UserName" runat="server" ClientIDMode="Static" CssClass="textEntry"></asp:TextBox>
                            <asp:RequiredFieldValidator ID="UserNameRequired" runat="server" ControlToValidate="UserName"
                                CssClass="failureNotificationSummary" ErrorMessage="<%$Resources:Interfaz,UserRequired %>"
                                ToolTip="<%$Resources:Interfaz,UserRequired %>" ValidationGroup="LoginUserValidationGroup">*</asp:RequiredFieldValidator>
                        </p>
                        <p>
                            <asp:Label ID="PasswordLabel" runat="server" CssClass="LabelForm" AssociatedControlID="Password"
                                Text="<%$Resources:Interfaz,LoginPassword %>"></asp:Label>
                            <asp:TextBox ID="Password" runat="server" CssClass="passwordEntry" TextMode="Password"></asp:TextBox>
                            <asp:RequiredFieldValidator ID="PasswordRequired" runat="server" ControlToValidate="Password"
                                CssClass="failureNotificationSummary" ErrorMessage="<%$Resources:Interfaz,PasswordRequired %>"
                                ToolTip="<%$Resources:Interfaz,PasswordRequired %>" ValidationGroup="LoginUserValidationGroup">*</asp:RequiredFieldValidator>
                        </p>
                        <p class="submitButton">
                            <asp:Button ID="LoginButton" CssClass="LoginButton" Font-Size="Small" runat="server"
                                CommandName="Login" Text="<%$Resources:Interfaz,LoginIniciar %>" ValidationGroup="LoginUserValidationGroup" />
                        </p>
                    </div>
                    <span class="failureNotificationLogin">
                        <asp:Literal ID="FailureText" runat="server"></asp:Literal>
                    </span>
                    <asp:ValidationSummary ID="LoginUserValidationSummary" runat="server" CssClass="failureNotificationSummary"
                        ValidationGroup="LoginUserValidationGroup" />
                </LayoutTemplate>
            </asp:Login>
        </asp:Panel>
        <asp:DropShadowExtender ID="DropShadowExtender1" TargetControlID="PanelLogin" Radius="20"
            Rounded="true" TrackPosition="true" runat="server">
        </asp:DropShadowExtender>
    </div>
    </form>
</body>
</html>
