﻿<%@ Page Title="" Language="vb" AutoEventWireup="false" Theme="ACBP" MasterPageFile="~/Site.Master"
    CodeBehind="AddArchivos.aspx.vb" Inherits="ACBProyectos.AddArchivos" %>

<%@ Register Assembly="AjaxControlToolkit" Namespace="AjaxControlToolkit" TagPrefix="asp" %>
<%@ Register TagPrefix="Menu" Src="~/WebControls/Menu/MenuLateral.ascx" TagName="Lateral" %>
<asp:Content ID="HeaderContent" ContentPlaceHolderID="HeadContent" runat="server">
</asp:Content>
<asp:Content ID="MenuContent" ContentPlaceHolderID="LeftContent" runat="server">
    <Menu:Lateral ID="MenuLateral" ClientIDMode="AutoID" runat="server" />
</asp:Content>
<asp:Content ID="SubMenu" ContentPlaceHolderID="SubMenu" runat="server">
</asp:Content>
<asp:Content ID="BodyContent" ContentPlaceHolderID="MainContent" runat="server">
    <asp:UpdatePanel ID="UpdatePanelGastos" runat="server">
        <ContentTemplate>
            <div class="ToolbarForm">
                <fieldset class="FormGrupos">
                    <legend>
                        <asp:Label ID="LabelLegend" runat="server" Text="<%$Resources:Interfaz,AñadirArchivo %>" /></legend>
                    <div class="FormDerecha" style="width: 60%; min-height: 0px">
                        <p class="FormLine">
                            <asp:Label ID="LabelCliente" AssociatedControlID="DropDownListClientes" runat="server"
                                Text="<%$Resources:Interfaz,Cliente %>" CssClass="FormLabel" Width="90px"></asp:Label>
                            <asp:DropDownList ID="DropDownListClientes" runat="server" Width="290px" DataTextField="Nombre"
                                DataValueField="ClienteID" AutoPostBack="true">
                            </asp:DropDownList>
                            <asp:ListSearchExtender ID="ListSearchExtenderClientes" TargetControlID="DropDownListClientes"
                                runat="server" PromptCssClass="SearchExtender" PromptText="<%$Resources:Interfaz,SearchExtenderClientes %>"
                                PromptPosition="Top">
                            </asp:ListSearchExtender>
                            <asp:LoginView ID="LoginViewClientes" runat="server">
                                <RoleGroups>
                                    <asp:RoleGroup Roles="Administrador">
                                        <ContentTemplate>
                                            <asp:EntityDataSource ID="EntityDataSourceCliente" runat="server" ConnectionString="name=ACBProyectosEntities"
                                                DefaultContainerName="ACBProyectosEntities" EnableFlattening="False" EntitySetName="tblCliente"
                                                Where="it.IsBaja=False" OrderBy="it.Nombre ASC">
                                            </asp:EntityDataSource>
                                        </ContentTemplate>
                                    </asp:RoleGroup>
                                    <asp:RoleGroup Roles="Jefe de Proyecto,Analista / Programador">
                                        <ContentTemplate>
                                            <asp:EntityDataSource ID="EntityDataSourceCliente" runat="server" ConnectionString="name=ACBProyectosEntities"
                                                DefaultContainerName="ACBProyectosEntities" EnableFlattening="False" EntitySetName="vClientesTareas"
                                                OrderBy="it.Nombre ASC" Where="it.RecursoID=@RecursoID">
                                                <WhereParameters>
                                                    <asp:SessionParameter Name="RecursoID" SessionField="RecursoID" Type="Object" />
                                                </WhereParameters>
                                            </asp:EntityDataSource>
                                        </ContentTemplate>
                                    </asp:RoleGroup>
                                </RoleGroups>
                            </asp:LoginView>
                            <asp:RequiredFieldValidator ID="RequiredFieldValidatorCliente" ControlToValidate="DropDownListClientes"
                                ForeColor="Red" ValidationGroup="DatosArchivo" runat="server" ErrorMessage="<%$Resources:Interfaz,ClienteRequired %>">*</asp:RequiredFieldValidator>
                        </p>
                        <p class="FormLine" style="margin-top: 20px">
                            <asp:Label ID="LabelProyecto" AssociatedControlID="DropDownListProyectos" runat="server"
                                Text="<%$Resources:Interfaz,Proyecto %>" CssClass="FormLabel" Width="90px"></asp:Label>
                            <asp:DropDownList ID="DropDownListProyectos" runat="server" Width="290px" DataTextField="Nombre"
                                DataValueField="ProyectoID" AutoPostBack="true">
                            </asp:DropDownList>
                            <asp:ListSearchExtender ID="ListSearchExtenderProyectos" TargetControlID="DropDownListProyectos"
                                runat="server" PromptCssClass="SearchExtender" PromptText="<%$Resources:Interfaz,SearchExtenderProyectos %>"
                                PromptPosition="Top">
                            </asp:ListSearchExtender>
                            <asp:LoginView ID="LoginViewProyectos" runat="server">
                                <RoleGroups>
                                    <asp:RoleGroup Roles="Administrador">
                                        <ContentTemplate>
                                            <asp:EntityDataSource ID="EntityDataSourceProyecto" runat="server" ConnectionString="name=ACBProyectosEntities"
                                                DefaultContainerName="ACBProyectosEntities" EnableFlattening="False" EntitySetName="tblProyecto"
                                                OrderBy="it.Nombre ASC" Where="it.ClienteID=@ClienteID AND it.IsBaja=False">
                                                <WhereParameters>
                                                    <asp:ControlParameter Name="ClienteID" ControlID="DropDownListClientes" Type="Int32" />
                                                </WhereParameters>
                                            </asp:EntityDataSource>
                                        </ContentTemplate>
                                    </asp:RoleGroup>
                                    <asp:RoleGroup Roles="Jefe de Proyecto,Analista / Programador">
                                        <ContentTemplate>
                                            <asp:EntityDataSource ID="EntityDataSourceProyecto" runat="server" ConnectionString="name=ACBProyectosEntities"
                                                DefaultContainerName="ACBProyectosEntities" EnableFlattening="False" EntitySetName="vProyectosTareas"
                                                OrderBy="it.Nombre ASC" Where="it.ClienteID=@ClienteID AND it.RecursoID=@RecursoID">
                                                <WhereParameters>
                                                    <asp:ControlParameter Name="ClienteID" ControlID="DropDownListClientes" Type="Int32" />
                                                    <asp:SessionParameter Name="RecursoID" SessionField="RecursoID" Type="Object" />
                                                </WhereParameters>
                                            </asp:EntityDataSource>
                                        </ContentTemplate>
                                    </asp:RoleGroup>
                                </RoleGroups>
                            </asp:LoginView>
                            <asp:RequiredFieldValidator ID="RequiredFieldValidatorProyectos" ControlToValidate="DropDownListProyectos"
                                ForeColor="Red" ValidationGroup="DatosArchivo" runat="server" ErrorMessage="<%$Resources:Interfaz,ProyectoRequired %>">*</asp:RequiredFieldValidator>
                        </p>
                        <p class="FormLine">
                            <asp:Label ID="LabelCategoria" AssociatedControlID="DropDownListCategoria" runat="server"
                                Text="<%$Resources:Interfaz,Categoria %>" CssClass="FormLabel" Width="90px"></asp:Label>
                            <asp:DropDownList ID="DropDownListCategoria" runat="server" Width="290px" DataSourceID="EntityDataSourceCategoria"
                                DataTextField="Nombre" DataValueField="CategoriaID" AutoPostBack="true">
                            </asp:DropDownList>
                            <asp:EntityDataSource ID="EntityDataSourceCategoria" runat="server" ConnectionString="name=ACBProyectosEntities"
                                DefaultContainerName="ACBProyectosEntities" EnableFlattening="False" EntitySetName="tblArchivoCategoria"
                                OrderBy="it.OrdenPresentacion ASC">
                            </asp:EntityDataSource>
                            <asp:RequiredFieldValidator ID="RequiredFieldValidatorCategoria" ControlToValidate="DropDownListCategoria"
                                ForeColor="Red" ValidationGroup="DatosArchivo" runat="server" ErrorMessage="<%$Resources:Interfaz,CategoriaRequired %>">*</asp:RequiredFieldValidator>
                        </p>
                        <p class="FormLine">
                            <asp:Label ID="LabelSubCategoria" AssociatedControlID="DropDownListSubCategoria"
                                runat="server" Text="<%$Resources:Interfaz,SubCategoria %>" CssClass="FormLabel"
                                Width="90px"></asp:Label>
                            <asp:DropDownList ID="DropDownListSubCategoria" runat="server" Width="290px" DataSourceID="EntityDataSourceSubCategoria"
                                DataTextField="Nombre" DataValueField="SubCategoriaID" AutoPostBack="true">
                            </asp:DropDownList>
                            <asp:EntityDataSource ID="EntityDataSourceSubCategoria" runat="server" ConnectionString="name=ACBProyectosEntities"
                                DefaultContainerName="ACBProyectosEntities" EnableFlattening="False" EntitySetName="tblArchivoSubCategoria"
                                OrderBy="it.OrdenPresentacion ASC" Where="it.CategoriaID=@CategoriaID">
                                <WhereParameters>
                                    <asp:ControlParameter ControlID="DropDownListCategoria" Name="CategoriaID" Type="Int32" />
                                </WhereParameters>
                            </asp:EntityDataSource>
                            <asp:RequiredFieldValidator ID="RequiredFieldValidatorSubCategoria" ControlToValidate="DropDownListSubCategoria"
                                ForeColor="Red" ValidationGroup="DatosArchivo" runat="server" ErrorMessage="<%$Resources:Interfaz,SubCategoriaRequired %>">*</asp:RequiredFieldValidator>
                        </p>
                        <p class="FormLine">
                            <asp:Label ID="LabelArchivo" AssociatedControlID="AsyncFileUploadArchivo" runat="server"
                                Text="<%$Resources:Interfaz,Archivo %>" CssClass="FormLabel" Width="90px"></asp:Label>
                            <asp:AsyncFileUpload ID="AsyncFileUploadArchivo" runat="server" Width="285px" UploaderStyle="Modern"
                                ClientIDMode="AutoID" PersistFile="true" />                           
                        </p>
                    </div>
                    <div class="FormIzquierda" style="width: 39%; min-height: 0px">
                        <p class="FormLine">
                            <asp:Label ID="LabelNombre" AssociatedControlID="TextBoxNombre" runat="server" Text="<%$Resources:Interfaz,Nombre %>"
                                CssClass="FormLabel" Width="120px"></asp:Label>
                            <asp:TextBox ID="TextBoxNombre" runat="server" CssClass="FormTextBox" Width="120px"
                                MaxLength="30"></asp:TextBox>
                            <asp:RequiredFieldValidator ID="RequiredFieldNombre" ControlToValidate="TextBoxNombre"
                                ForeColor="Red" ValidationGroup="DatosArchivo" runat="server" ErrorMessage="<%$Resources:Interfaz,NombreRequired %>">*</asp:RequiredFieldValidator>
                        </p>
                        <p class="FormLine">
                            <asp:Label ID="LabelObservaciones" AssociatedControlID="TextBoxObservaciones" runat="server"
                                Text="<%$Resources:Interfaz,Observaciones %>" CssClass="FormLabel" Width="90px"></asp:Label>
                            <asp:TextBox ID="TextBoxObservaciones" runat="server" CssClass="FormTextBox" MaxLength="500"
                                Width="265px" TextMode="MultiLine" Rows="4"></asp:TextBox>
                        </p>
                    </div>
                    <asp:ValidationSummary ID="ValidationSummaryArchivos" DisplayMode="BulletList" ShowMessageBox="true"
                        runat="server" ValidationGroup="DatosArchivo" ShowSummary="false" />
                    <div class="FooterBar" style="width: 39%; text-align: right">
                        <asp:Button ID="ButtonGuardar" runat="server" Text="<%$Resources:Interfaz,BotonGuardar %>"
                            CssClass="ButtonGray" ValidationGroup="DatosArchivo" />
                        <asp:Button ID="ButtonModificar" runat="server" Text="<%$Resources:Interfaz,BotonModificar %>"
                            CssClass="ButtonGray" ValidationGroup="DatosArchivo" Visible="false" />
                        <asp:ConfirmButtonExtender ID="ConfirmButtonExtenderModificar" TargetControlID="ButtonModificar"
                            ConfirmText="<%$Resources:Interfaz,ConfirmUpdateArchivos %>" runat="server">
                        </asp:ConfirmButtonExtender>
                        <asp:Button ID="ButtonCancelar" runat="server" Text="<%$Resources:Interfaz,BotonCancelar %>"
                            CssClass="ButtonGray" />
                    </div>
                </fieldset>
            </div>
            <div class="GridContent" style="min-height: 200px;margin-top:5px;">
                <asp:GridView ID="GridViewArchivos" SkinID="GridACBP" runat="server" AutoGenerateColumns="False"
                    DataKeyNames="ArchivoID" DataSourceID="EntityDataSourceArchivos" AllowSorting="true"
                    AllowPaging="true" PageSize="7" EmptyDataText="<%$Resources:Interfaz,EmptyDataText %>">
                    <Columns>
                        <asp:BoundField DataField="ArchivoID" HeaderText="ArchivoID" ReadOnly="True" SortExpression="ArchivoID"
                            Visible="false" />
                        <asp:BoundField DataField="Cliente" HeaderText="<%$Resources:Interfaz,Cliente %>"
                            SortExpression="Cliente" ItemStyle-Width="255px" HeaderStyle-Width="255px" Visible="false" />
                        <asp:BoundField DataField="Proyecto" HeaderText="<%$Resources:Interfaz,Proyecto %>"
                            SortExpression="Proyecto" ItemStyle-Width="255px" HeaderStyle-Width="255px" />
                        <asp:BoundField DataField="Categoria" HeaderText="<%$Resources:Interfaz,Categoria %>"
                            SortExpression="Categoria" ItemStyle-Width="130px" HeaderStyle-Width="130px" />
                        <asp:BoundField DataField="SubCategoria" HeaderText="<%$Resources:Interfaz,SubCategoria %>"
                            SortExpression="SubCategoria" ItemStyle-Width="130px" HeaderStyle-Width="130px" />
                        <asp:BoundField DataField="Archivo" HeaderText="<%$Resources:Interfaz,Archivo %>"
                            SortExpression="Archivo" ItemStyle-Width="85px" HeaderStyle-Width="85px" />
                        <asp:TemplateField>
                            <ItemTemplate>
                                <asp:ImageButton ID="ButtonDownload" CommandName="Descargar" runat="server" CommandArgument='<%# Eval("ArchivoID")%>'
                                    AlternateText="<%$Resources:Interfaz,AlternateTextDownloadGrid %>" ImageUrl="~/Styles/Imagenes/btnDownload.png">
                                </asp:ImageButton>
                            </ItemTemplate>
                        </asp:TemplateField>
                        <asp:TemplateField>
                            <ItemTemplate>
                                <asp:ImageButton ID="ButtonUpdate" CommandName="Modificar" runat="server" CommandArgument='<%# Eval("ArchivoID")%>'
                                    AlternateText="<%$Resources:Interfaz,AlternateTextUpdateGrid %>" ImageUrl="~/Styles/Imagenes/btnUpdate.png">
                                </asp:ImageButton>
                            </ItemTemplate>
                        </asp:TemplateField>
                        <asp:TemplateField>
                            <ItemTemplate>
                                <asp:ImageButton ID="ButtonEliminar" CommandName="Eliminar" CommandArgument='<%# Eval("ArchivoID")%>'
                                    runat="server" AlternateText="<%$Resources:Interfaz,AlternateTextDeleteGrid %>"
                                    ImageUrl="~/Styles/Imagenes/btnDelete.png"></asp:ImageButton>
                                <asp:ConfirmButtonExtender ID="ConfirmButtonExtenderEliminar" TargetControlID="ButtonEliminar"
                                    ConfirmText="<%$Resources:Interfaz,ConfirmDeleteGrid %>" runat="server">
                                </asp:ConfirmButtonExtender>
                            </ItemTemplate>
                        </asp:TemplateField>
                        <asp:TemplateField>
                            <ItemTemplate>
                                <asp:ImageButton ID="ButtonActivar" CommandName="Activar" CommandArgument='<%# Eval("ArchivoID")%>'
                                    runat="server" AlternateText="<%$Resources:Interfaz,AlternateTextActivarGrid %>"
                                    ImageUrl="~/Styles/Imagenes/btnActivar.png" Visible='<%# IIf(Eval("IsBaja"),true,false) %>'>
                                </asp:ImageButton>
                                <asp:ImageButton ID="ButtonDesactivar" CommandName="Desactivar" CommandArgument='<%# Eval("ArchivoID")%>'
                                    runat="server" AlternateText="<%$Resources:Interfaz,AlternateTextDesactivarGrid %>"
                                    ImageUrl="~/Styles/Imagenes/btnDesactivar.png" Visible='<%# IIf(Eval("IsBaja"),false,true) %>'>
                                </asp:ImageButton>
                            </ItemTemplate>
                        </asp:TemplateField>
                    </Columns>
                </asp:GridView>
                <asp:EntityDataSource ID="EntityDataSourceArchivos" runat="server" ConnectionString="name=ACBProyectosEntities"
                    DefaultContainerName="ACBProyectosEntities" EnableFlattening="False" EntitySetName="vArchivos"
                    OrderBy="it.ArchivoID ASC" Where="it.ProyectoID=@ProyectoID">
                    <WhereParameters>
                        <asp:ControlParameter Name="ProyectoID" ControlID="DropDownListProyectos" Type="Int32" />
                    </WhereParameters>
                </asp:EntityDataSource>
            </div>
        </ContentTemplate>
    </asp:UpdatePanel>
</asp:Content>
