﻿<%@ Page Title="" Language="vb" AutoEventWireup="false" Theme="ACBP" MasterPageFile="~/Site.Master"
    CodeBehind="AddCliente.aspx.vb" Inherits="ACBProyectos.AddCliente" Culture="Auto" UICulture="Auto" %>

<%@ Register Assembly="AjaxControlToolkit" Namespace="AjaxControlToolkit" TagPrefix="asp" %>
<%@ Register TagPrefix="Menu" Src="~/WebControls/Menu/MenuLateral.ascx" TagName="Lateral" %>
<asp:Content ID="HeaderContent" ContentPlaceHolderID="HeadContent" runat="server">
</asp:Content>
<asp:Content ID="MenuContent" ContentPlaceHolderID="LeftContent" runat="server">
    <Menu:Lateral ID="MenuLateral" ClientIDMode="AutoID" runat="server" />
</asp:Content>
<asp:Content ID="SubMenu" ContentPlaceHolderID="SubMenu" runat="server">
</asp:Content>
<asp:Content ID="BodyContent" ContentPlaceHolderID="MainContent" runat="server">
    <asp:UpdatePanel ID="UpdatePanelClientes" runat="server">
        <ContentTemplate>
            <div class="FormDerecha">
                <fieldset class="FormGrupos">
                    <legend>
                        <asp:Label ID="LabelLegend" runat="server" Text="<%$Resources:Interfaz,DatosEmpresa %>" /></legend>
                    <p class="FormLine">
                        <asp:Label ID="LabelCIF" AssociatedControlID="TextBoxCIF" runat="server" Text="<%$Resources:Interfaz,CIF %>"
                            CssClass="FormLabel" Width="90px"></asp:Label>
                        <asp:TextBox ID="TextBoxCIF" runat="server" CssClass="FormTextBox" MaxLength="15"
                            Width="100px"></asp:TextBox>
                        <asp:RequiredFieldValidator ID="RequiredFieldCIF" ControlToValidate="TextBoxCIF"
                            ForeColor="Red" ValidationGroup="DatosCliente" runat="server" ErrorMessage="<%$Resources:Interfaz,CIFRequired %>">*</asp:RequiredFieldValidator>
                    </p>
                    <p class="FormLine">
                        <asp:Label ID="LabelNombre" AssociatedControlID="TextBoxNombre" runat="server" Text="<%$Resources:Interfaz,Nombre %>"
                            CssClass="FormLabel" Width="90px"></asp:Label>
                        <asp:TextBox ID="TextBoxNombre" runat="server" CssClass="FormTextBox" MaxLength="30"
                            Width="200px"></asp:TextBox>
                        <asp:RequiredFieldValidator ID="RequiredFieldNombre" ControlToValidate="TextBoxNombre"
                            ForeColor="Red" ValidationGroup="DatosCliente" runat="server" ErrorMessage="<%$Resources:Interfaz,NombreRequired %>">*</asp:RequiredFieldValidator>
                    </p>
                    <p class="FormLine">
                        <asp:Label ID="LabelDireccion" AssociatedControlID="TextBoxDireccion" runat="server"
                            Text="<%$Resources:Interfaz,Direccion %>" CssClass="FormLabel" Width="90px"></asp:Label>
                        <asp:TextBox ID="TextBoxDireccion" runat="server" CssClass="FormTextBox" MaxLength="75"
                            Width="200px"></asp:TextBox>
                    </p>
                    <p class="FormLine">
                        <asp:Label ID="LabelPoblacion" AssociatedControlID="TextBoxPoblacion" runat="server"
                            Text="<%$Resources:Interfaz,Poblacion %>" CssClass="FormLabel" Width="90px"></asp:Label>
                        <asp:TextBox ID="TextBoxPoblacion" runat="server" CssClass="FormTextBox" MaxLength="100"
                            Width="200px"></asp:TextBox>
                    </p>
                    <p class="FormLine">
                        <asp:Label ID="LabelCP" AssociatedControlID="TextBoxCP" runat="server" Text="<%$Resources:Interfaz,CP %>"
                            CssClass="FormLabel" Width="90px"></asp:Label>
                        <asp:TextBox ID="TextBoxCP" runat="server" CssClass="FormTextBox" MaxLength="5" Width="80px"></asp:TextBox>
                    </p>
                    <p class="FormLine">
                        <asp:Label ID="LabelContacto" AssociatedControlID="TextBoxContacto" runat="server"
                            Text="<%$Resources:Interfaz,PersonaContacto %>" CssClass="FormLabel" Width="90px"></asp:Label>
                        <asp:TextBox ID="TextBoxContacto" runat="server" CssClass="FormTextBox" MaxLength="50"
                            Width="200px"></asp:TextBox>
                    </p>
                    <p class="FormLine">
                        <asp:Label ID="LabelTelefono" AssociatedControlID="TextBoxTelefono" runat="server"
                            Text="<%$Resources:Interfaz,Telefono %>" CssClass="FormLabel" Width="90px"></asp:Label>
                        <asp:TextBox ID="TextBoxTelefono" runat="server" CssClass="FormTextBox" MaxLength="50"
                            Width="200px"></asp:TextBox>
                    </p>
                    <p class="FormLine">
                        <asp:Label ID="LabelFax" AssociatedControlID="TextBoxFax" runat="server"
                            Text="<%$Resources:Interfaz,Fax %>" CssClass="FormLabel" Width="90px"></asp:Label>
                        <asp:TextBox ID="TextBoxFax" runat="server" CssClass="FormTextBox" MaxLength="50"
                            Width="200px"></asp:TextBox>
                    </p>
                    <p class="FormLine">
                        <asp:Label ID="LabelEmail" AssociatedControlID="TextBoxEmail" runat="server" Text="<%$Resources:Interfaz,Email %>"
                            CssClass="FormLabel" Width="90px"></asp:Label>
                        <asp:TextBox ID="TextBoxEmail" runat="server" CssClass="FormTextBox" MaxLength="100"
                            Width="200px"></asp:TextBox>                       
                        <asp:RegularExpressionValidator ID="RegulaExpresionEmail" ForeColor="Red" runat="server"
                            ControlToValidate="TextBoxEmail" ErrorMessage="<%$Resources:Interfaz,EmailFormat %>"
                            ValidationExpression="\w+([-+.']\w+)*@\w+([-.]\w+)*\.\w+([-.]\w+)*" ValidationGroup="DatosCliente">*</asp:RegularExpressionValidator>
                    </p>
                    <p class="FormLine">
                        <asp:CheckBox ID="CheckBoxBaja" runat="server" Text="<%$Resources:Interfaz,Baja %>" />
                    </p>
                </fieldset>
            </div>
            <div class="FormIzquierda">
                <!--Sin Datos-->
            </div>
            <asp:ValidationSummary ID="ValidationSummary1" DisplayMode="BulletList" ShowMessageBox="true"
                runat="server" ValidationGroup="DatosCliente" ShowSummary="false" />
            <div class="FooterBar">
                <asp:Button ID="ButtonGuardar" runat="server" Text="<%$Resources:Interfaz,BotonGuardar %>"
                    CssClass="ButtonGray" ValidationGroup="DatosCliente" />
                <asp:Button ID="ButtonModificar" runat="server" Text="<%$Resources:Interfaz,BotonModificar %>"
                    CssClass="ButtonGray" ValidationGroup="DatosCliente" Visible="false" />
                <asp:ConfirmButtonExtender ID="ConfirmButtonExtenderModificar" TargetControlID="ButtonModificar"
                    ConfirmText="<%$Resources:Interfaz,ConfirmUpdateClientes %>" runat="server">
                </asp:ConfirmButtonExtender>
                <asp:Button ID="ButtonCancelar" runat="server" Text="<%$Resources:Interfaz,BotonCancelar %>"
                    CssClass="ButtonGray" PostBackUrl="~/Pages/Definiciones/Clientes/Default.aspx" />
            </div>
        </ContentTemplate>
    </asp:UpdatePanel>
</asp:Content>
