﻿<%@ Page Title="" Language="vb" AutoEventWireup="false" Theme="ACBP" MasterPageFile="~/Site.Master"
    CodeBehind="Default.aspx.vb" Inherits="ACBProyectos._Default2" Culture="Auto" UICulture="Auto" %>

<%@ Register Assembly="AjaxControlToolkit" Namespace="AjaxControlToolkit" TagPrefix="asp" %>
<%@ Register TagPrefix="Menu" Src="~/WebControls/Menu/MenuLateral.ascx" TagName="Lateral" %>
<asp:Content ID="HeaderContent" ContentPlaceHolderID="HeadContent" runat="server">
</asp:Content>
<asp:Content ID="SubMenu" ContentPlaceHolderID="SubMenu" runat="server">
</asp:Content>
<asp:Content ID="MenuContent" ContentPlaceHolderID="LeftContent" runat="server">
    <Menu:Lateral ID="MenuLateral" ClientIDMode="AutoID" runat="server" />
</asp:Content>
<asp:Content ID="BodyContent" ContentPlaceHolderID="MainContent" runat="server">
    <asp:UpdatePanel ID="UpdatePanelClientes" runat="server">
        <ContentTemplate>
            <div class="Toolbar">
                <asp:ImageButton ID="ButtonNewCliente" ImageUrl="~/Styles/Imagenes/addCliente.png"
                    PostBackUrl="~/Pages/Definiciones/Clientes/AddCliente.aspx" runat="server" AlternateText="<%$Resources:Interfaz,MapAddCliente %>" />
                <asp:ImageButton ID="ButtonSearch" ImageUrl="~/Styles/Imagenes/buscar.png" runat="server"
                    AlternateText="<%$Resources:Interfaz,BotonBuscar %>" />
            </div>
            <div class="GridContent">
                <asp:GridView ID="GridViewClientes" SkinID="GridACBP" runat="server" AutoGenerateColumns="False"
                    DataKeyNames="ClienteID" DataSourceID="EntityDataSourceClientes" AllowSorting="true"
                    AllowPaging="true" PageSize="13" EmptyDataText="<%$Resources:Interfaz,EmptyDataText %>">
                    <Columns>
                        <asp:BoundField DataField="ClienteID" HeaderText="ClienteID" ReadOnly="True" SortExpression="ClienteID"
                            Visible="false" />
                        <asp:BoundField DataField="Nombre" HeaderText="<%$Resources:Interfaz,Nombre %>" SortExpression="Nombre"
                            ItemStyle-Width="220px" HeaderStyle-Width="220px" />
                        <asp:BoundField DataField="PersonaContacto" HeaderText="<%$Resources:Interfaz,PersonaContacto %>"
                            SortExpression="PersonaContacto" ItemStyle-Width="130px" HeaderStyle-Width="130px" />
                        <asp:BoundField DataField="Telefono" HeaderText="<%$Resources:Interfaz,Telefono %>"
                            SortExpression="Telefono" ItemStyle-Width="80px" HeaderStyle-Width="80px" />
                        <asp:BoundField DataField="Email" HeaderText="<%$Resources:Interfaz,Email %>" SortExpression="Email"
                            ItemStyle-Width="170px" HeaderStyle-Width="170px" />
                        <asp:CheckBoxField DataField="IsBaja" HeaderText="IsBaja" SortExpression="IsBaja"
                            Visible="false" />
                        <asp:TemplateField>
                            <ItemTemplate>
                                <asp:ImageButton ID="ButtonUpdate" CommandName="Modificar" runat="server" CommandArgument='<%# Eval("ClienteID")%>'
                                    AlternateText="<%$Resources:Interfaz,AlternateTextUpdateGrid %>" ImageUrl="~/Styles/Imagenes/btnUpdate.png">
                                </asp:ImageButton>
                            </ItemTemplate>
                        </asp:TemplateField>
                        <asp:TemplateField>
                            <ItemTemplate>
                                <asp:ImageButton ID="ButtonEliminar" CommandName="Eliminar" CommandArgument='<%# Eval("ClienteID")%>'
                                    runat="server" AlternateText="<%$Resources:Interfaz,AlternateTextDeleteGrid %>"
                                    ImageUrl="~/Styles/Imagenes/btnDelete.png"></asp:ImageButton>
                                <asp:ConfirmButtonExtender ID="ConfirmButtonExtenderEliminar" TargetControlID="ButtonEliminar"
                                    ConfirmText="<%$Resources:Interfaz,ConfirmDeleteGrid %>" runat="server">
                                </asp:ConfirmButtonExtender>
                            </ItemTemplate>
                        </asp:TemplateField>
                        <asp:TemplateField>
                            <ItemTemplate>
                                <asp:ImageButton ID="ButtonActivar" CommandName="Activar" CommandArgument='<%# Eval("ClienteID")%>'
                                    runat="server" AlternateText="<%$Resources:Interfaz,AlternateTextActivarGrid %>"
                                    ImageUrl="~/Styles/Imagenes/btnActivar.png" Visible='<%# IIf(Eval("IsBaja"),true,false) %>'>
                                </asp:ImageButton>
                                <asp:ImageButton ID="ButtonDesactivar" CommandName="Desactivar" CommandArgument='<%# Eval("ClienteID")%>'
                                    runat="server" AlternateText="<%$Resources:Interfaz,AlternateTextDesactivarGrid %>"
                                    ImageUrl="~/Styles/Imagenes/btnDesactivar.png" Visible='<%# IIf(Eval("IsBaja"),false,true) %>'>
                                </asp:ImageButton>
                            </ItemTemplate>
                        </asp:TemplateField>
                    </Columns>
                </asp:GridView>
                <asp:EntityDataSource ID="EntityDataSourceClientes" runat="server" ConnectionString="name=ACBProyectosEntities"
                    DefaultContainerName="ACBProyectosEntities" EnableFlattening="False" EntitySetName="tblCliente">
                </asp:EntityDataSource>
            </div>
            <!--Panel de búsqueda-->
            <asp:Panel ID="PanelSearch" CssClass="PanelSearch" runat="server" style="display:none">
                <asp:Panel ID="PanelCab" CssClass="PanelSearchCab" runat="server">
                    <asp:Label ID="LabelCabecera" runat="server" Text="<%$Resources:Interfaz,CabFiltros %>"></asp:Label>
                </asp:Panel>
                <asp:Panel ID="PanelText" CssClass="PanelSearchForm" runat="server">
                    <fieldset class="FormGrupos">
                        <legend><asp:Label ID="LabelCamposFiltro" runat="server" Text="<%$Resources:Interfaz,CamposFiltro %>"></asp:Label></legend>
                        <p class="FormLine">
                            <asp:Label ID="LabelCIF" AssociatedControlID="TextBoxCIF" runat="server" Text="<%$Resources:Interfaz,CIF %>"
                                CssClass="FormLabel" Width="70px"></asp:Label>
                            <asp:TextBox ID="TextBoxCIF" runat="server" CssClass="FormTextBox" MaxLength="15"
                                Width="100px"></asp:TextBox>
                        </p>
                        <p class="FormLine">
                            <asp:Label ID="LabelNombre" AssociatedControlID="TextBoxNombre" runat="server" Text="<%$Resources:Interfaz,Nombre %>"
                                CssClass="FormLabel" Width="70px"></asp:Label>
                            <asp:TextBox ID="TextBoxNombre" runat="server" CssClass="FormTextBox" MaxLength="30"
                                Width="160px"></asp:TextBox>
                        </p>
                    </fieldset>
                </asp:Panel>
                <asp:Panel ID="PanelButton" CssClass="PanelSearchButton" runat="server">
                    <asp:Button ID="ButtonBuscar" CssClass="ButtonGray" runat="server" Text="<%$Resources:Interfaz,BotonBuscar %>" />
                    <asp:Button ID="ButtonResetear" CssClass="ButtonGray" runat="server" Text="<%$Resources:Interfaz,BotonResetear %>" />
                    <asp:Button ID="ButtonCancelar" CssClass="ButtonGray" runat="server" Text="<%$Resources:Interfaz,BotonCancelar %>" />
                </asp:Panel>
            </asp:Panel>
            <asp:ModalPopupExtender ID="ModalPopupExtenderSearchPanel" ClientIDMode="AutoID"
                PopupControlID="PanelSearch" TargetControlID="ButtonSearch" DropShadow="true"
                PopupDragHandleControlID="PanelCab" runat="server">
            </asp:ModalPopupExtender>
        </ContentTemplate>
    </asp:UpdatePanel>
</asp:Content>
