﻿<%@ Page Title="" Language="vb" AutoEventWireup="false" Theme="ACBP" MasterPageFile="~/Site.Master"
    CodeBehind="AddGastos.aspx.vb" Inherits="ACBProyectos.AddGastos" %>

<%@ Register Assembly="AjaxControlToolkit" Namespace="AjaxControlToolkit" TagPrefix="asp" %>
<%@ Register TagPrefix="Menu" Src="~/WebControls/Menu/MenuLateral.ascx" TagName="Lateral" %>
<%@ Register TagPrefix="Menu" Src="~/WebControls/Menu/MenuHorasGastos.ascx" TagName="HorasGastos" %>
<asp:Content ID="HeaderContent" ContentPlaceHolderID="HeadContent" runat="server">
    <script type="text/javascript">
        function ActualizarGrid() {
            __doPostBack('UpdatePanelGastos');
        };
    </script>
</asp:Content>
<asp:Content ID="MenuContent" ContentPlaceHolderID="LeftContent" runat="server">
    <Menu:Lateral ID="MenuLateral" ClientIDMode="AutoID" runat="server" />
</asp:Content>
<asp:Content ID="SubMenu" ContentPlaceHolderID="SubMenu" runat="server">
    <Menu:HorasGastos ID="MenuHorasGastos" ClientIDMode="AutoID" runat="server" />
</asp:Content>
<asp:Content ID="BodyContent" ContentPlaceHolderID="MainContent" runat="server">
    <asp:UpdatePanel ID="UpdatePanelGastos" runat="server">
        <ContentTemplate>
            <div class="ToolbarForm">
                <fieldset class="FormGrupos">
                    <legend>
                        <asp:Label ID="LabelLegend" runat="server" Text="<%$Resources:Interfaz,AñadirGasto %>" /></legend>
                    <p class="FormLine" style="width: 100%; text-align: center">
                        <asp:Label ID="LabelFecha" AssociatedControlID="TextBoxFecha" runat="server" Text="<%$Resources:Interfaz,Fecha %>"
                            CssClass="FormLabel" Width="80px"></asp:Label>
                        <asp:TextBox ID="TextBoxFecha" runat="server" CssClass="FormTextBox" MaxLength="10"
                            Width="70px"></asp:TextBox>
                        <asp:CalendarExtender ID="CalendarExtenderFecha" TargetControlID="TextBoxFecha" PopupButtonID="TextBoxFecha"
                            runat="server" OnClientDateSelectionChanged="ActualizarGrid">
                        </asp:CalendarExtender>
                        <asp:MaskedEditExtender ID="MaskedEditExtenderFecha" MaskType="Date" Mask="99/99/9999"
                            runat="server" UserDateFormat="DayMonthYear" TargetControlID="TextBoxFecha">
                        </asp:MaskedEditExtender>
                        <asp:RequiredFieldValidator ID="RequiredFieldFecha" ControlToValidate="TextBoxFecha"
                            ForeColor="Red" ValidationGroup="DatosGasto" runat="server" ErrorMessage="<%$Resources:Interfaz,FechaRequired %>">*</asp:RequiredFieldValidator>
                    </p>
                    <div class="FormDerecha" style="width: 60%; min-height: 0px">
                        <p class="FormLine">
                            <asp:Label ID="LabelCliente" AssociatedControlID="DropDownListClientes" runat="server"
                                Text="<%$Resources:Interfaz,Cliente %>" CssClass="FormLabel" Width="90px"></asp:Label>
                            <asp:DropDownList ID="DropDownListClientes" runat="server" Width="290px" DataTextField="Nombre"
                                DataValueField="ClienteID" DataSourceID="EntityDataSourceCliente" AutoPostBack="true">
                            </asp:DropDownList>
                            <asp:ListSearchExtender ID="ListSearchExtenderClientes" TargetControlID="DropDownListClientes"
                                runat="server" PromptCssClass="SearchExtender" PromptText="<%$Resources:Interfaz,SearchExtenderClientes %>"
                                PromptPosition="Top">
                            </asp:ListSearchExtender>
                            <asp:EntityDataSource ID="EntityDataSourceCliente" runat="server" ConnectionString="name=ACBProyectosEntities"
                                DefaultContainerName="ACBProyectosEntities" EnableFlattening="False" EntitySetName="vClientesTareas"
                                OrderBy="it.Nombre ASC" Where="it.RecursoID=@RecursoID">
                                <WhereParameters>
                                    <asp:SessionParameter Name="RecursoID" SessionField="RecursoID" Type="Object" />
                                </WhereParameters>
                            </asp:EntityDataSource>
                            <asp:RequiredFieldValidator ID="RequiredFieldValidatorCliente" ControlToValidate="DropDownListClientes"
                                ForeColor="Red" ValidationGroup="DatosGasto" runat="server" ErrorMessage="<%$Resources:Interfaz,ClienteRequired %>">*</asp:RequiredFieldValidator>
                        </p>
                        <p class="FormLine" style="margin-top: 20px">
                            <asp:Label ID="LabelProyecto" AssociatedControlID="DropDownListProyectos" runat="server"
                                Text="<%$Resources:Interfaz,Proyecto %>" CssClass="FormLabel" Width="90px"></asp:Label>
                            <asp:DropDownList ID="DropDownListProyectos" runat="server" Width="290px" DataTextField="Nombre"
                                DataValueField="ProyectoID" DataSourceID="EntityDataSourceProyecto" AutoPostBack="true">
                            </asp:DropDownList>
                            <asp:ListSearchExtender ID="ListSearchExtenderProyectos" TargetControlID="DropDownListProyectos"
                                runat="server" PromptCssClass="SearchExtender" PromptText="<%$Resources:Interfaz,SearchExtenderProyectos %>"
                                PromptPosition="Top">
                            </asp:ListSearchExtender>
                            <asp:EntityDataSource ID="EntityDataSourceProyecto" runat="server" ConnectionString="name=ACBProyectosEntities"
                                DefaultContainerName="ACBProyectosEntities" EnableFlattening="False" EntitySetName="vProyectosTareas"
                                OrderBy="it.Nombre ASC" Where="it.ClienteID=@ClienteID AND it.RecursoID=@RecursoID">
                                <WhereParameters>
                                    <asp:ControlParameter Name="ClienteID" ControlID="DropDownListClientes" Type="Int32" />
                                    <asp:SessionParameter Name="RecursoID" SessionField="RecursoID" Type="Object" />
                                </WhereParameters>
                            </asp:EntityDataSource>
                            <asp:RequiredFieldValidator ID="RequiredFieldValidatorProyectos" ControlToValidate="DropDownListProyectos"
                                ForeColor="Red" ValidationGroup="DatosGasto" runat="server" ErrorMessage="<%$Resources:Interfaz,ProyectoRequired %>">*</asp:RequiredFieldValidator>
                        </p>
                        <p class="FormLine">
                            <asp:Label ID="LabelGasto" AssociatedControlID="DropDownListGastos" runat="server"
                                Text="<%$Resources:Interfaz,Concepto %>" CssClass="FormLabel" Width="90px"></asp:Label>
                            <asp:DropDownList ID="DropDownListGastos" runat="server" Width="290px" DataSourceID="EntityDataSourceGasto"
                                DataTextField="Nombre" DataValueField="GastoID" AutoPostBack="true">
                            </asp:DropDownList>
                            <asp:EntityDataSource ID="EntityDataSourceGasto" runat="server" ConnectionString="name=ACBProyectosEntities"
                                DefaultContainerName="ACBProyectosEntities" EnableFlattening="False" EntitySetName="tblGasto"
                                OrderBy="it.OrdenPresentacion ASC" Where="it.ProyectoID=@ProyectoID">
                                <WhereParameters>
                                    <asp:ControlParameter Name="ProyectoID" ControlID="DropDownListProyectos" Type="Int32" />
                                </WhereParameters>
                            </asp:EntityDataSource>
                            <asp:RequiredFieldValidator ID="RequiredFieldValidatorGasto" ControlToValidate="DropDownListGastos"
                                ForeColor="Red" ValidationGroup="DatosGasto" runat="server" ErrorMessage="<%$Resources:Interfaz,ConceptoRequired %>">*</asp:RequiredFieldValidator>
                        </p>
                        <p class="FormLine">
                            <asp:CheckBox ID="CheckBoxPersonal" runat="server" Text="<%$Resources:Interfaz,Personal %>" />
                        </p>
                    </div>
                    <div class="FormIzquierda" style="width: 39%; min-height: 0px">
                        <p class="FormLine">
                            <asp:Label ID="LabelImporte" AssociatedControlID="TextBoxImporte" runat="server" Text="<%$Resources:Interfaz,Importe %>"
                                CssClass="FormLabel" Width="120px"></asp:Label>
                            <asp:TextBox ID="TextBoxImporte" runat="server" CssClass="FormTextBox" Width="80px"></asp:TextBox>
                            <asp:RequiredFieldValidator ID="RequiredFieldImporte" ControlToValidate="TextBoxImporte"
                                ForeColor="Red" ValidationGroup="DatosGasto" runat="server" ErrorMessage="<%$Resources:Interfaz,ImporteRequired %>">*</asp:RequiredFieldValidator>
                            <asp:MaskedEditExtender ID="MaskedEditExtenderImporte" MaskType="Number" Mask="999.99"
                                TargetControlID="TextBoxImporte" runat="server" AutoComplete="false" InputDirection="LeftToRight" DisplayMoney="Right">
                            </asp:MaskedEditExtender>
                        </p>
                        <p class="FormLine">
                            <asp:Label ID="LabelObservaciones" AssociatedControlID="TextBoxObservaciones" runat="server"
                                Text="<%$Resources:Interfaz,Observaciones %>" CssClass="FormLabel" Width="90px"></asp:Label>
                            <asp:TextBox ID="TextBoxObservaciones" runat="server" CssClass="FormTextBox" MaxLength="500"
                                Width="265px" TextMode="MultiLine" Rows="2"></asp:TextBox>
                        </p>
                    </div>
                    <asp:ValidationSummary ID="ValidationSummaryGastos" DisplayMode="BulletList" ShowMessageBox="true"
                        runat="server" ValidationGroup="DatosGasto" ShowSummary="false" />
                    <div class="FooterBar" style="width: 39%; text-align: right">
                        <asp:Button ID="ButtonGuardar" runat="server" Text="<%$Resources:Interfaz,BotonGuardar %>"
                            CssClass="ButtonGray" ValidationGroup="DatosGasto" />
                        <asp:Button ID="ButtonModificar" runat="server" Text="<%$Resources:Interfaz,BotonModificar %>"
                            CssClass="ButtonGray" ValidationGroup="DatosGasto" Visible="false" />
                        <asp:ConfirmButtonExtender ID="ConfirmButtonExtenderModificar" TargetControlID="ButtonModificar"
                            ConfirmText="<%$Resources:Interfaz,ConfirmUpdateGastos %>" runat="server">
                        </asp:ConfirmButtonExtender>
                        <asp:Button ID="ButtonCancelar" runat="server" Text="<%$Resources:Interfaz,BotonCancelar %>"
                            CssClass="ButtonGray" />
                    </div>
                </fieldset>
            </div>
            <div class="GridContent" style="min-height: 200px">
                <asp:GridView ID="GridViewHoras" SkinID="GridACBP" runat="server" AutoGenerateColumns="False"
                    DataKeyNames="GastoID,Fecha,RecursoID" DataSourceID="EntityDataSourceHoras" AllowSorting="true"
                    AllowPaging="true" PageSize="7" EmptyDataText="<%$Resources:Interfaz,EmptyDataText %>">
                    <Columns>
                        <asp:BoundField DataField="GastoID" HeaderText="GastoID" ReadOnly="True" SortExpression="GastoID"
                            Visible="false" />
                        <asp:BoundField DataField="Cliente" HeaderText="<%$Resources:Interfaz,Cliente %>"
                            SortExpression="Cliente" ItemStyle-Width="255px" HeaderStyle-Width="255px" />
                        <asp:BoundField DataField="Proyecto" HeaderText="<%$Resources:Interfaz,Proyecto %>"
                            SortExpression="Proyecto" ItemStyle-Width="255px" HeaderStyle-Width="255px" />
                        <asp:BoundField DataField="Gasto" HeaderText="<%$Resources:Interfaz,Concepto %>" SortExpression="Gasto"
                            ItemStyle-Width="100px" HeaderStyle-Width="100px" />
                        <asp:BoundField DataField="Importe" HeaderText="<%$Resources:Interfaz,Importe %>"
                            SortExpression="Importe" ItemStyle-Width="80px" HeaderStyle-Width="80px" HeaderStyle-HorizontalAlign="Right"
                            ItemStyle-HorizontalAlign="Right" />
                        <asp:TemplateField>
                            <ItemTemplate>
                                <asp:ImageButton ID="ButtonUpdate" CommandName="Modificar" runat="server" CommandArgument='<%# Eval("GastoID").ToString + ";" + (Eval("Fecha")).ToString%>'
                                    AlternateText="<%$Resources:Interfaz,AlternateTextUpdateGrid %>" ImageUrl="~/Styles/Imagenes/btnUpdate.png">
                                </asp:ImageButton>
                            </ItemTemplate>
                        </asp:TemplateField>
                        <asp:TemplateField>
                            <ItemTemplate>
                                <asp:ImageButton ID="ButtonEliminar" CommandName="Eliminar" CommandArgument='<%# Eval("GastoID").ToString + ";" + (Eval("Fecha")).ToString%>'
                                    runat="server" AlternateText="<%$Resources:Interfaz,AlternateTextDeleteGrid %>"
                                    ImageUrl="~/Styles/Imagenes/btnDelete.png"></asp:ImageButton>
                                <asp:ConfirmButtonExtender ID="ConfirmButtonExtenderEliminar" TargetControlID="ButtonEliminar"
                                    ConfirmText="<%$Resources:Interfaz,ConfirmDeleteGrid %>" runat="server">
                                </asp:ConfirmButtonExtender>
                            </ItemTemplate>
                        </asp:TemplateField>
                    </Columns>
                </asp:GridView>
                <asp:EntityDataSource ID="EntityDataSourceHoras" runat="server" ConnectionString="name=ACBProyectosEntities"
                    DefaultContainerName="ACBProyectosEntities" EnableFlattening="False" EntitySetName="vGastos"
                    OrderBy="it.GastoID ASC" Where="it.RecursoID=@RecursoID AND it.Fecha=@Fecha">
                    <WhereParameters>
                        <asp:SessionParameter Name="RecursoID" SessionField="RecursoID" Type="Object" />
                        <asp:ControlParameter Name="Fecha" ControlID="TextBoxFecha" Type="DateTime" />
                    </WhereParameters>
                </asp:EntityDataSource>
            </div>
        </ContentTemplate>
    </asp:UpdatePanel>
</asp:Content>
