﻿<%@ Page Title="" Language="vb" AutoEventWireup="false" Theme="ACBP" MasterPageFile="~/Site.Master"
    CodeBehind="AddRecurso.aspx.vb" Inherits="ACBProyectos.AddRecurso" Culture="Auto" UICulture="Auto" %>

<%@ Register Assembly="AjaxControlToolkit" Namespace="AjaxControlToolkit" TagPrefix="asp" %>
<%@ Register TagPrefix="Menu" Src="~/WebControls/Menu/MenuLateral.ascx" TagName="Lateral" %>
<asp:Content ID="HeaderContent" ContentPlaceHolderID="HeadContent" runat="server">
    <script type="text/javascript">
        //Mostrar color en el texto del textbutton
        function colorChanged(sender) {
            sender.get_element().style.color = "#" + sender.get_selectedColor();
        }
    </script>
</asp:Content>
<asp:Content ID="MenuContent" ContentPlaceHolderID="LeftContent" runat="server">
    <Menu:Lateral ID="MenuLateral" ClientIDMode="AutoID" runat="server" />
</asp:Content>
<asp:Content ID="BodyContent" ContentPlaceHolderID="MainContent" runat="server">
    <asp:UpdatePanel ID="UpdatePanelRecursos" runat="server">
        <ContentTemplate>
            <div class="FormDerecha">
                <fieldset class="FormGrupos">
                    <legend><asp:Label ID="LabelLegend" runat="server" Text="<%$Resources:Interfaz,DatosPersonales %>" /></legend>
                    <p class="FormLine">
                        <asp:Label ID="LabelDNI" AssociatedControlID="TextBoxDNI" runat="server" Text="<%$Resources:Interfaz,DNI %>"
                            CssClass="FormLabel" Width="90px"></asp:Label>
                        <asp:TextBox ID="TextBoxDNI" runat="server" CssClass="FormTextBox" MaxLength="15"
                            Width="100px"></asp:TextBox>
                        <asp:RequiredFieldValidator ID="RequiredFieldDNI" ControlToValidate="TextBoxDNI"
                            ForeColor="Red" ValidationGroup="DatosRecurso" runat="server" ErrorMessage="<%$Resources:Interfaz,DNIRequired %>">*</asp:RequiredFieldValidator>
                    </p>
                    <p class="FormLine">
                        <asp:Label ID="LabelNombre" AssociatedControlID="TextBoxNombre" runat="server" Text="<%$Resources:Interfaz,Nombre %>"
                            CssClass="FormLabel" Width="90px"></asp:Label>
                        <asp:TextBox ID="TextBoxNombre" runat="server" CssClass="FormTextBox" MaxLength="30"
                            Width="200px"></asp:TextBox>
                        <asp:RequiredFieldValidator ID="RequiredFieldNombre" ControlToValidate="TextBoxNombre"
                            ForeColor="Red" ValidationGroup="DatosRecurso" runat="server" ErrorMessage="<%$Resources:Interfaz,NombreRequired %>">*</asp:RequiredFieldValidator>
                    </p>
                    <p class="FormLine">
                        <asp:Label ID="LabelApellido1" AssociatedControlID="TextBoxApellido1" runat="server"
                            Text="<%$Resources:Interfaz,Apellido1 %>" CssClass="FormLabel" Width="90px"></asp:Label>
                        <asp:TextBox ID="TextBoxApellido1" runat="server" CssClass="FormTextBox" MaxLength="30"
                            Width="200px"></asp:TextBox>
                        <asp:RequiredFieldValidator ID="RequiredFieldApellido1" ControlToValidate="TextBoxApellido1"
                            ForeColor="Red" ValidationGroup="DatosRecurso" runat="server" ErrorMessage="<%$Resources:Interfaz,Apellido1Required %>">*</asp:RequiredFieldValidator>
                    </p>
                    <p class="FormLine">
                        <asp:Label ID="LabelApellido2" AssociatedControlID="TextBoxApellido2" runat="server"
                            Text="<%$Resources:Interfaz,Apellido2 %>" CssClass="FormLabel" Width="90px"></asp:Label>
                        <asp:TextBox ID="TextBoxApellido2" runat="server" CssClass="FormTextBox" MaxLength="30"
                            Width="200px"></asp:TextBox>
                    </p>
                    <p class="FormLine">
                        <asp:Label ID="LabelDireccion" AssociatedControlID="TextBoxDireccion" runat="server"
                            Text="<%$Resources:Interfaz,Direccion %>" CssClass="FormLabel" Width="90px"></asp:Label>
                        <asp:TextBox ID="TextBoxDireccion" runat="server" CssClass="FormTextBox" MaxLength="75"
                            Width="200px"></asp:TextBox>
                    </p>
                    <p class="FormLine">
                        <asp:Label ID="LabelPoblacion" AssociatedControlID="TextBoxPoblacion" runat="server"
                            Text="<%$Resources:Interfaz,Poblacion %>" CssClass="FormLabel" Width="90px"></asp:Label>
                        <asp:TextBox ID="TextBoxPoblacion" runat="server" CssClass="FormTextBox" MaxLength="100"
                            Width="200px"></asp:TextBox>
                    </p>
                    <p class="FormLine">
                        <asp:Label ID="LabelCP" AssociatedControlID="TextBoxCP" runat="server" Text="<%$Resources:Interfaz,CP %>"
                            CssClass="FormLabel" Width="90px"></asp:Label>
                        <asp:TextBox ID="TextBoxCP" runat="server" CssClass="FormTextBox" MaxLength="5" Width="80px"></asp:TextBox>
                    </p>
                    <p class="FormLine">
                        <asp:Label ID="LabelTelefono" AssociatedControlID="TextBoxTelefono" runat="server"
                            Text="<%$Resources:Interfaz,Telefono %>" CssClass="FormLabel" Width="90px"></asp:Label>
                        <asp:TextBox ID="TextBoxTelefono" runat="server" CssClass="FormTextBox" MaxLength="50"
                            Width="200px"></asp:TextBox>
                    </p>
                    <p class="FormLine">
                        <asp:Label ID="LabelEmail" AssociatedControlID="TextBoxEmail" runat="server" Text="<%$Resources:Interfaz,Email %>"
                            CssClass="FormLabel" Width="90px"></asp:Label>
                        <asp:TextBox ID="TextBoxEmail" runat="server" CssClass="FormTextBox" MaxLength="100"
                            Width="200px"></asp:TextBox>
                        <asp:RequiredFieldValidator ID="RequiredFieldEmail" ControlToValidate="TextBoxEmail"
                            ForeColor="Red" ValidationGroup="DatosRecurso" runat="server" ErrorMessage="<%$Resources:Interfaz,EmailRequired %>">*</asp:RequiredFieldValidator>
                        <asp:RegularExpressionValidator ID="RegulaExpresionEmail" ForeColor="Red" runat="server"
                            ControlToValidate="TextBoxEmail" ErrorMessage="<%$Resources:Interfaz,EmailFormat %>"
                            ValidationExpression="\w+([-+.']\w+)*@\w+([-.]\w+)*\.\w+([-.]\w+)*" ValidationGroup="DatosRecurso">*</asp:RegularExpressionValidator>
                    </p>
                    <p class="FormLine">
                        <asp:Label ID="LabelCosteHora" AssociatedControlID="TextBoxCosteHora" runat="server"
                            Text="<%$Resources:Interfaz,CosteHora %>" CssClass="FormLabel" Width="90px"></asp:Label>
                        <asp:TextBox ID="TextBoxCosteHora" runat="server" CssClass="FormTextBox" Width="80px"></asp:TextBox>
                        <asp:RequiredFieldValidator ID="RequiredFieldCosteHora" ControlToValidate="TextBoxCosteHora"
                            ForeColor="Red" ValidationGroup="DatosRecurso" runat="server" ErrorMessage="<%$Resources:Interfaz,CosteHoraRequired %>">*</asp:RequiredFieldValidator>
                        <asp:MaskedEditExtender ID="MaskedEditExtenderCosteHora" MaskType="Number" Mask="999.99"
                            DisplayMoney="Right" TargetControlID="TextBoxCosteHora" runat="server" AutoComplete="false" InputDirection="LeftToRight">
                        </asp:MaskedEditExtender>
                    </p>
                    <p class="FormLine">
                        <asp:Label ID="LabelColorID" AssociatedControlID="TextBoxColorID" runat="server"
                            Text="<%$Resources:Interfaz,Color %>" CssClass="FormLabel" Width="90px"></asp:Label>
                        <asp:TextBox ID="TextBoxColorID" runat="server" CssClass="FormTextBox" Width="80px"
                            MaxLength="6"></asp:TextBox>
                        <asp:RequiredFieldValidator ID="RequiredFieldColorID" ControlToValidate="TextBoxColorID"
                            ForeColor="Red" ValidationGroup="DatosRecurso" runat="server" ErrorMessage="<%$Resources:Interfaz,ColorRequired %>">*</asp:RequiredFieldValidator>
                        <asp:ColorPickerExtender ID="ColorPickerExtenderID" TargetControlID="TextBoxColorID"
                            runat="server" OnClientColorSelectionChanged="colorChanged">
                        </asp:ColorPickerExtender>
                    </p>
                    <p class="FormLine">
                        <asp:CheckBox ID="CheckBoxBaja" runat="server" Text="<%$Resources:Interfaz,Baja %>" />
                    </p>
                </fieldset>
            </div>
            <div class="FormIzquierda">
                <fieldset class="FormGrupos">
                    <legend><asp:Label ID="LabelLegen2" runat="server" Text="<%$Resources:Interfaz,CuentaUsuario %>"></asp:Label></legend>
                    <p class="FormLine">
                        <asp:Label ID="LabelUserName" AssociatedControlID="TextBoxUserName" runat="server"
                            Text="<%$Resources:Interfaz,NombreUsuario %>" CssClass="FormLabel" Width="140px"></asp:Label>
                        <asp:TextBox ID="TextBoxUserName" runat="server" CssClass="FormTextBox" MaxLength="30"
                            Width="160px"></asp:TextBox>
                        <asp:RequiredFieldValidator ID="RequiredFieldUserName" ControlToValidate="TextBoxUserName"
                            ForeColor="Red" ValidationGroup="DatosRecurso" runat="server" ErrorMessage="<%$Resources:Interfaz,NombreUsuarioRequired %>">*</asp:RequiredFieldValidator>
                    </p>
                    <p class="FormLine">
                        <asp:Label ID="LabelPerfil" AssociatedControlID="DropDownListPerfiles" runat="server" Text="<%$Resources:Interfaz,Perfil %>"
                            CssClass="FormLabelCombo" Width="145px"></asp:Label><asp:DropDownList ID="DropDownListPerfiles" Width="163px" runat="server"></asp:DropDownList>
                    </p>
                    <p class="FormLine">
                        <asp:Label ID="LabelPassword" AssociatedControlID="TextBoxPassword" runat="server"
                            Text="<%$Resources:Interfaz,Password %>" CssClass="FormLabel" Width="140px"></asp:Label>
                        <asp:TextBox ID="TextBoxPassword" TextMode="Password" runat="server" CssClass="FormTextBox"
                            MaxLength="30" Width="160px"></asp:TextBox>
                        <asp:RequiredFieldValidator ID="RequiredFieldPassword" ControlToValidate="TextBoxPassword"
                            ForeColor="Red" ValidationGroup="DatosRecurso" runat="server" ErrorMessage="<%$Resources:Interfaz,PasswordRequiredForm %>">*</asp:RequiredFieldValidator>
                    </p>
                    <p class="FormLine">
                        <asp:Label ID="LabelConfirmPassword" AssociatedControlID="TextBoxConfirmPassword"
                            runat="server" Text="<%$Resources:Interfaz,ConfirmarPassword %>" CssClass="FormLabel" Width="140px"></asp:Label>
                        <asp:TextBox ID="TextBoxConfirmPassword" TextMode="Password" runat="server" CssClass="FormTextBox"
                            MaxLength="30" Width="160px"></asp:TextBox>
                        <asp:RequiredFieldValidator ID="RequiredFieldConfirmPassword" ControlToValidate="TextBoxConfirmPassword"
                            ForeColor="Red" ValidationGroup="DatosRecurso" runat="server" ErrorMessage="<%$Resources:Interfaz,ConfirmarPasswordRequired %>">*</asp:RequiredFieldValidator>
                        <asp:CompareValidator ID="ComparePassword" runat="server" ControlToCompare="TextBoxPassword"
                            ControlToValidate="TextBoxConfirmPassword" Display="Dynamic" ErrorMessage="<%$Resources:Interfaz,ConfirmarPasswordCompare %>"
                            ForeColor="Red" ValidationGroup="DatosRecurso">*</asp:CompareValidator>
                    </p>
                </fieldset>
            </div>
            <asp:ValidationSummary DisplayMode="BulletList" ShowMessageBox="true" runat="server"
                ValidationGroup="DatosRecurso" ShowSummary="false" />
            <div class="FooterBar">
                <asp:Button ID="ButtonGuardar" runat="server" Text="<%$Resources:Interfaz,BotonGuardar %>" CssClass="ButtonGray"
                    ValidationGroup="DatosRecurso" />
                <asp:Button ID="ButtonModificar" runat="server" Text="<%$Resources:Interfaz,BotonModificar %>" CssClass="ButtonGray"
                    ValidationGroup="DatosRecurso" Visible="false" />
                <asp:ConfirmButtonExtender ID="ConfirmButtonExtenderModificar" TargetControlID="ButtonModificar" ConfirmText="<%$Resources:Interfaz,ConfirmUpdateRecurso %>" runat="server">
                </asp:ConfirmButtonExtender>
                <asp:Button ID="ButtonCancelar" runat="server" Text="<%$Resources:Interfaz,BotonCancelar %>" CssClass="ButtonGray"
                    PostBackUrl="~/Pages/Recursos/Default.aspx" />
            </div>
        </ContentTemplate>
    </asp:UpdatePanel>
</asp:Content>