﻿<%@ Page Title="" Language="vb" AutoEventWireup="false" Theme="ACBP" MasterPageFile="~/Site.Master"
    CodeBehind="AddTarea.aspx.vb" Inherits="ACBProyectos.AddTarea" Culture="Auto"
    UICulture="Auto" %>

<%@ Register Assembly="AjaxControlToolkit" Namespace="AjaxControlToolkit" TagPrefix="asp" %>
<%@ Register TagPrefix="Menu" Src="~/WebControls/Menu/MenuLateral.ascx" TagName="Lateral" %>
<%@ Register TagPrefix="Menu" Src="~/WebControls/Menu/MenuTareas.ascx" TagName="Tareas" %>
<asp:Content ID="HeaderContent" ContentPlaceHolderID="HeadContent" runat="server">
</asp:Content>
<asp:Content ID="MenuContent" ContentPlaceHolderID="LeftContent" runat="server">
    <Menu:Lateral ID="MenuLateral" ClientIDMode="AutoID" runat="server" />
</asp:Content>
<asp:Content ID="SubMenu" ContentPlaceHolderID="SubMenu" runat="server">
    <Menu:Tareas ID="MenuTareas" ClientIDMode="AutoID" runat="server" />
</asp:Content>
<asp:Content ID="BodyContent" ContentPlaceHolderID="MainContent" runat="server">
    <asp:UpdatePanel ID="UpdatePanelTareas" runat="server">
        <ContentTemplate>
            <div class="FormDerecha" style="width: 60%">
                <fieldset class="FormGrupos">
                    <legend>
                        <asp:Label ID="LabelLegend" runat="server" Text="<%$Resources:Interfaz,DatosPrincipales %>" /></legend>
                    <p class="FormLine" style="margin-top:20px">
                        <asp:Label ID="LabelCliente" AssociatedControlID="DropDownListClientes" runat="server"
                            Text="<%$Resources:Interfaz,Cliente %>" CssClass="FormLabel" Width="90px"></asp:Label>
                        <asp:DropDownList ID="DropDownListClientes" runat="server" Width="290px" DataTextField="Nombre"
                            DataValueField="ClienteID" AutoPostBack="true">
                        </asp:DropDownList>
                        <asp:ListSearchExtender ID="ListSearchExtenderClientes" TargetControlID="DropDownListClientes"
                            runat="server" PromptCssClass="SearchExtender" PromptText="<%$Resources:Interfaz,SearchExtenderClientes %>" PromptPosition="Top">
                        </asp:ListSearchExtender>
                        <asp:LoginView ID="LoginViewClientes" runat="server">
                            <RoleGroups>
                                <asp:RoleGroup Roles="Administrador">
                                    <ContentTemplate>
                                        <asp:EntityDataSource ID="EntityDataSourceCliente" runat="server" ConnectionString="name=ACBProyectosEntities"
                                            DefaultContainerName="ACBProyectosEntities" EnableFlattening="False" EntitySetName="tblCliente"
                                            Where="it.IsBaja=False" OrderBy="it.Nombre ASC">
                                        </asp:EntityDataSource>
                                    </ContentTemplate>
                                </asp:RoleGroup>
                                <asp:RoleGroup Roles="Jefe de Proyecto,Analista / Programador">
                                    <ContentTemplate>
                                        <asp:EntityDataSource ID="EntityDataSourceCliente" runat="server" ConnectionString="name=ACBProyectosEntities"
                                            DefaultContainerName="ACBProyectosEntities" EnableFlattening="False" EntitySetName="vClientesTareas"
                                            OrderBy="it.Nombre ASC" Where="it.RecursoID=@RecursoID">
                                            <WhereParameters>
                                                <asp:SessionParameter Name="RecursoID" SessionField="RecursoID" Type="Object" />
                                            </WhereParameters>
                                        </asp:EntityDataSource>
                                    </ContentTemplate>
                                </asp:RoleGroup>
                            </RoleGroups>
                        </asp:LoginView>
                        <asp:RequiredFieldValidator ID="RequiredFieldValidatorCliente" ControlToValidate="DropDownListClientes"
                            ForeColor="Red" ValidationGroup="DatosTarea" runat="server" ErrorMessage="<%$Resources:Interfaz,ClienteRequired %>">*</asp:RequiredFieldValidator>
                    </p>
                    <p class="FormLine" style="margin-top:20px">
                        <asp:Label ID="LabelProyecto" AssociatedControlID="DropDownListProyectos" runat="server"
                            Text="<%$Resources:Interfaz,Proyecto %>" CssClass="FormLabel" Width="90px"></asp:Label>
                        <asp:DropDownList ID="DropDownListProyectos" runat="server" Width="290px" DataTextField="Nombre"
                            DataValueField="ProyectoID" AutoPostBack="true">
                        </asp:DropDownList>
                        <asp:ListSearchExtender ID="ListSearchExtenderProyectos" TargetControlID="DropDownListProyectos"
                            runat="server" PromptCssClass="SearchExtender" PromptText="<%$Resources:Interfaz,SearchExtenderProyectos %>" PromptPosition="Top">
                        </asp:ListSearchExtender>
                        <asp:LoginView ID="LoginViewProyectos" runat="server">
                            <RoleGroups>
                                <asp:RoleGroup Roles="Administrador">
                                    <ContentTemplate>
                                        <asp:EntityDataSource ID="EntityDataSourceProyecto" runat="server" ConnectionString="name=ACBProyectosEntities"
                                            DefaultContainerName="ACBProyectosEntities" EnableFlattening="False" EntitySetName="tblProyecto"
                                            OrderBy="it.Nombre ASC" Where="it.ClienteID=@ClienteID AND it.IsBaja=False">
                                            <WhereParameters>
                                                <asp:ControlParameter Name="ClienteID" ControlID="DropDownListClientes" Type="Int32" />
                                            </WhereParameters>
                                        </asp:EntityDataSource>
                                    </ContentTemplate>
                                </asp:RoleGroup>
                                <asp:RoleGroup Roles="Jefe de Proyecto,Analista / Programador">
                                    <ContentTemplate>
                                        <asp:EntityDataSource ID="EntityDataSourceProyecto" runat="server" ConnectionString="name=ACBProyectosEntities"
                                            DefaultContainerName="ACBProyectosEntities" EnableFlattening="False" EntitySetName="vProyectosTareas"
                                            OrderBy="it.Nombre ASC" Where="it.ClienteID=@ClienteID AND it.RecursoID=@RecursoID">
                                            <WhereParameters>
                                                <asp:ControlParameter Name="ClienteID" ControlID="DropDownListClientes" Type="Int32" />
                                                <asp:SessionParameter Name="RecursoID" SessionField="RecursoID" Type="Object" />
                                            </WhereParameters>
                                        </asp:EntityDataSource>
                                    </ContentTemplate>
                                </asp:RoleGroup>
                            </RoleGroups>
                        </asp:LoginView>
                        <asp:RequiredFieldValidator ID="RequiredFieldValidatorProyectos" ControlToValidate="DropDownListProyectos"
                            ForeColor="Red" ValidationGroup="DatosTarea" runat="server" ErrorMessage="<%$Resources:Interfaz,ProyectoRequired %>">*</asp:RequiredFieldValidator>
                    </p>
                    <p class="FormLine" style="margin-top:20px">
                        <asp:Label ID="LabelFase" AssociatedControlID="DropDownListFases" runat="server"
                            Text="<%$Resources:Interfaz,Fase %>" CssClass="FormLabel" Width="90px"></asp:Label>
                        <asp:DropDownList ID="DropDownListFases" runat="server" Width="290px" DataSourceID="EntityDataSourceFases"
                            DataTextField="Nombre" DataValueField="FaseID">
                        </asp:DropDownList>
                        <asp:EntityDataSource ID="EntityDataSourceFases" runat="server" ConnectionString="name=ACBProyectosEntities"
                            DefaultContainerName="ACBProyectosEntities" EnableFlattening="False" EntitySetName="tblFase"
                            OrderBy="it.OrdenPresentacion ASC" Where="it.ProyectoID=@ProyectoID">
                            <WhereParameters>
                                <asp:ControlParameter Name="ProyectoID" ControlID="DropDownListProyectos" Type="Int32" />
                            </WhereParameters>
                        </asp:EntityDataSource>
                        <asp:RequiredFieldValidator ID="RequiredFieldValidatorFases" ControlToValidate="DropDownListFases"
                            ForeColor="Red" ValidationGroup="DatosTarea" runat="server" ErrorMessage="<%$Resources:Interfaz,FaseRequired %>">*</asp:RequiredFieldValidator>
                    </p>
                    <p class="FormLine" style="margin-top:20px">
                        <asp:Label ID="LabelRecurso" AssociatedControlID="DropDownListRecursos" runat="server"
                            Text="<%$Resources:Interfaz,Recurso %>" CssClass="FormLabel" Width="90px"></asp:Label>
                        <asp:DropDownList ID="DropDownListRecursos" runat="server" Width="290px" DataTextField="Nombre"
                            DataValueField="RecursoID">
                        </asp:DropDownList>
                        <asp:ListSearchExtender ID="ListSearchExtenderRecursos" TargetControlID="DropDownListRecursos"
                            runat="server" PromptCssClass="SearchExtender" PromptText="<%$Resources:Interfaz,SearchExtenderRecursos %>" PromptPosition="Top">
                        </asp:ListSearchExtender>
                        <asp:LoginView ID="LoginViewRecursos" runat="server">
                            <RoleGroups>
                                <asp:RoleGroup Roles="Administrador,Jefe de Proyecto">
                                    <ContentTemplate>
                                        <asp:EntityDataSource ID="EntityDataSourceRecurso" runat="server" ConnectionString="name=ACBProyectosEntities"
                                            DefaultContainerName="ACBProyectosEntities" EnableFlattening="False" EntitySetName="vRecursosTareas"
                                            OrderBy="it.Nombre ASC" Where="it.ProyectoID=@ProyectoID">
                                            <WhereParameters>
                                                <asp:ControlParameter Name="ProyectoID" ControlID="DropDownListProyectos" Type="Int32" />
                                            </WhereParameters>
                                        </asp:EntityDataSource>
                                    </ContentTemplate>
                                </asp:RoleGroup>
                                <asp:RoleGroup Roles="Analista / Programador">
                                    <ContentTemplate>
                                        <asp:EntityDataSource ID="EntityDataSourceRecurso" runat="server" ConnectionString="name=ACBProyectosEntities"
                                            DefaultContainerName="ACBProyectosEntities" EnableFlattening="False" EntitySetName="vRecursosTareas"
                                            OrderBy="it.Nombre ASC" Where="it.RecursoID=@RecursoID" GroupBy="it.RecursoID,it.Nombre"
                                            Select="it.RecursoID,it.Nombre">
                                            <WhereParameters>
                                                <asp:SessionParameter Name="RecursoID" SessionField="RecursoID" Type="Object" />
                                            </WhereParameters>
                                        </asp:EntityDataSource>
                                    </ContentTemplate>
                                </asp:RoleGroup>
                            </RoleGroups>
                        </asp:LoginView>
                        <asp:RequiredFieldValidator ID="RequiredFieldValidatorRecursos" ControlToValidate="DropDownListRecursos"
                            ForeColor="Red" ValidationGroup="DatosTarea" runat="server" ErrorMessage="<%$Resources:Interfaz,RecursoRequired %>">*</asp:RequiredFieldValidator>
                    </p>
                    <p class="FormLine">
                        <asp:Label ID="LabelAsunto" AssociatedControlID="TextBoxAsunto" runat="server" Text="<%$Resources:Interfaz,Asunto %>"
                            CssClass="FormLabel" Width="90px"></asp:Label>
                        <asp:TextBox ID="TextBoxAsunto" runat="server" CssClass="FormTextBox" MaxLength="50"
                            Width="285px"></asp:TextBox>
                        <asp:RequiredFieldValidator ID="RequiredFieldAsunto" ControlToValidate="TextBoxAsunto"
                            ForeColor="Red" ValidationGroup="DatosTarea" runat="server" ErrorMessage="<%$Resources:Interfaz,AsuntoRequired %>">*</asp:RequiredFieldValidator>
                    </p>
                    <p class="FormLine">
                        <asp:Label ID="LabelObservaciones" AssociatedControlID="TextBoxObservaciones" runat="server"
                            Text="<%$Resources:Interfaz,Observaciones %>" CssClass="FormLabel" Width="90px"></asp:Label>
                        <asp:TextBox ID="TextBoxObservaciones" runat="server" CssClass="FormTextBox" MaxLength="500"
                            Width="285px" TextMode="MultiLine" Rows="8"></asp:TextBox>
                    </p>
                    <p class="FormLine">
                        <asp:Label ID="LabelPrioridad" AssociatedControlID="DropDownListPrioridades" runat="server"
                            Text="<%$Resources:Interfaz,Prioridad %>" CssClass="FormLabel" Width="90px"></asp:Label>
                        <asp:DropDownList ID="DropDownListPrioridades" runat="server" Width="290px" DataSourceID="EntityDataSourcePrioridad"
                            DataTextField="Nombre" DataValueField="PrioridadID" AutoPostBack="true">
                        </asp:DropDownList>
                        <asp:EntityDataSource ID="EntityDataSourcePrioridad" runat="server" ConnectionString="name=ACBProyectosEntities"
                            DefaultContainerName="ACBProyectosEntities" EnableFlattening="False" EntitySetName="vPrioridadesTareas"
                            OrderBy="it.PrioridadID ASC">
                        </asp:EntityDataSource>
                        <asp:RequiredFieldValidator ID="RequiredFieldValidatorPrioridad" ControlToValidate="DropDownListPrioridades"
                            ForeColor="Red" ValidationGroup="DatosTarea" InitialValue="0" runat="server"
                            ErrorMessage="<%$Resources:Interfaz,PrioridadRequired %>">*</asp:RequiredFieldValidator>
                    </p>
                    <p class="FormLine">
                        <asp:CheckBox ID="CheckBoxBaja" runat="server" Text="<%$Resources:Interfaz,Baja %>" />
                    </p>
                </fieldset>
            </div>
            <div class="FormIzquierda" style="width: 39%">
                <fieldset class="FormGrupos">
                    <legend>
                        <asp:Label ID="LabelLegen2" runat="server" Text="<%$Resources:Interfaz,Planificacion %>"></asp:Label></legend>
                    <p class="FormLine">
                        <asp:Label ID="LabelFechaInicio" AssociatedControlID="TextBoxFechaInicio" runat="server"
                            Text="<%$Resources:Interfaz,FechaInicio %>" CssClass="FormLabel" Width="110px"></asp:Label>
                        <asp:TextBox ID="TextBoxFechaInicio" runat="server" CssClass="FormTextBox" MaxLength="10"
                            Width="70px"></asp:TextBox>
                        <asp:CalendarExtender ID="CalendarExtenderFechaInicio" TargetControlID="TextBoxFechaInicio"
                            PopupButtonID="TextBoxFechaInicio" runat="server">
                        </asp:CalendarExtender>
                        <asp:MaskedEditExtender ID="MaskedEditExtenderFechaInicio" MaskType="Date" Mask="99/99/9999"
                            runat="server" UserDateFormat="DayMonthYear" TargetControlID="TextBoxFechaInicio">
                        </asp:MaskedEditExtender>
                        <asp:RequiredFieldValidator ID="RequiredFieldFechaInicio" ControlToValidate="TextBoxFechaInicio"
                            ForeColor="Red" ValidationGroup="DatosTarea" runat="server" ErrorMessage="<%$Resources:Interfaz,FechaInicioRequired %>">*</asp:RequiredFieldValidator>
                    </p>
                    <p class="FormLine">
                        <asp:Label ID="LabelFechaPrevisionFin" AssociatedControlID="TextBoxFechaPrevisionFin"
                            runat="server" Text="<%$Resources:Interfaz,FechaPrevisionFin %>" CssClass="FormLabel"
                            Width="110px"></asp:Label>
                        <asp:TextBox ID="TextBoxFechaPrevisionFin" runat="server" CssClass="FormTextBox"
                            MaxLength="10" Width="70px"></asp:TextBox>
                        <asp:CalendarExtender ID="CalendarExtenderFechaPrevisionFin" TargetControlID="TextBoxFechaPrevisionFin"
                            PopupButtonID="TextBoxFechaPrevisionFin" runat="server">
                        </asp:CalendarExtender>
                        <asp:MaskedEditExtender ID="MaskedEditExtenderFechaPrevisionFin" MaskType="Date"
                            Mask="99/99/9999" runat="server" UserDateFormat="DayMonthYear" TargetControlID="TextBoxFechaPrevisionFin">
                        </asp:MaskedEditExtender>
                        <asp:RequiredFieldValidator ID="RequiredFieldValidatorFechaPrevisionFin" ControlToValidate="TextBoxFechaPrevisionFin"
                            ForeColor="Red" ValidationGroup="DatosTarea" runat="server" ErrorMessage="<%$Resources:Interfaz,FechaPrevisionFinRequired %>">*</asp:RequiredFieldValidator>
                    </p>
                    <p class="FormLine">
                        <asp:Label ID="LabelFechaFin" AssociatedControlID="TextBoxFechaFin" runat="server"
                            Text="<%$Resources:Interfaz,FechaFin %>" CssClass="FormLabel" Width="110px"></asp:Label>
                        <asp:TextBox ID="TextBoxFechaFin" runat="server" CssClass="FormTextBox" MaxLength="10"
                            Width="70px"></asp:TextBox>
                        <asp:CalendarExtender ID="CalendarExtenderFechaFin" TargetControlID="TextBoxFechaFin"
                            PopupButtonID="TextBoxFechaFin" runat="server">
                        </asp:CalendarExtender>
                        <asp:MaskedEditExtender ID="MaskedEditExtenderFechaFin" MaskType="Date" Mask="99/99/9999"
                            runat="server" UserDateFormat="DayMonthYear" TargetControlID="TextBoxFechaFin">
                        </asp:MaskedEditExtender>
                    </p>
                </fieldset>
                <fieldset class="FormGrupos">
                    <legend>
                        <asp:Label ID="LabelLegend3" runat="server" Text="<%$Resources:Interfaz,Situacion %>"></asp:Label></legend>
                    <p class="FormLine">
                        <asp:Label ID="LabelEstado" AssociatedControlID="DropDownListEstados" runat="server"
                            Text="<%$Resources:Interfaz,Estado %>" CssClass="FormLabel" Width="90px"></asp:Label>
                        <asp:DropDownList ID="DropDownListEstados" runat="server" Width="150px" DataSourceID="EntityDataSourceEstado"
                            DataTextField="Nombre" DataValueField="EstadoID" AutoPostBack="true">
                        </asp:DropDownList>
                        <asp:EntityDataSource ID="EntityDataSourceEstado" runat="server" ConnectionString="name=ACBProyectosEntities"
                            DefaultContainerName="ACBProyectosEntities" EnableFlattening="False" EntitySetName="vEstadosTareas"
                            OrderBy="it.EstadoID ASC">
                        </asp:EntityDataSource>
                        <asp:RequiredFieldValidator ID="RequiredFieldValidatorEstado" ControlToValidate="DropDownListEstados"
                            ForeColor="Red" ValidationGroup="DatosTarea" InitialValue="0" runat="server"
                            ErrorMessage="<%$Resources:Interfaz,EstadoRequired %>">*</asp:RequiredFieldValidator>
                    </p>
                    <p class="FormLine">
                        <asp:Label ID="LabelProgreso" AssociatedControlID="TextBoxProgreso" runat="server"
                            Text="<%$Resources:Interfaz,Progreso %>" CssClass="FormLabel" Width="90px"></asp:Label>
                        <asp:TextBox ID="TextBoxProgreso" ClientIDMode="Static" runat="server" Width="30px"></asp:TextBox>
                        <asp:ImageButton ID="ImageButtonSubir" ImageUrl="~/Styles/Imagenes/Subir.png" runat="server" />
                        <asp:ImageButton ID="ImageButtonBajar" ImageUrl="~/Styles/Imagenes/Bajar.png" runat="server" />
                        <asp:NumericUpDownExtender ID="NumericUpDownExtenderProgreso" runat="server" TargetControlID="TextBoxProgreso"
                            Maximum="100" Minimum="0" TargetButtonUpID="ImageButtonSubir" TargetButtonDownID="ImageButtonBajar">
                        </asp:NumericUpDownExtender>
                    </p>
                </fieldset>
            </div>
            <asp:ValidationSummary ID="ValidationSummaryTareas" DisplayMode="BulletList" ShowMessageBox="true"
                runat="server" ValidationGroup="DatosTarea" ShowSummary="false" />
            <div class="FooterBar">
                <asp:Button ID="ButtonGuardar" runat="server" Text="<%$Resources:Interfaz,BotonGuardar %>"
                    CssClass="ButtonGray" ValidationGroup="DatosTarea" />
                <asp:Button ID="ButtonModificar" runat="server" Text="<%$Resources:Interfaz,BotonModificar %>"
                    CssClass="ButtonGray" ValidationGroup="DatosTarea" Visible="false" />
                <asp:ConfirmButtonExtender ID="ConfirmButtonExtenderModificar" TargetControlID="ButtonModificar"
                    ConfirmText="<%$Resources:Interfaz,ConfirmUpdateTareas %>" runat="server">
                </asp:ConfirmButtonExtender>
                <asp:Button ID="ButtonCancelar" runat="server" Text="<%$Resources:Interfaz,BotonCancelar %>"
                    CssClass="ButtonGray" PostBackUrl="~/Pages/Tareas/Default.aspx" />
            </div>
        </ContentTemplate>
    </asp:UpdatePanel>
</asp:Content>
