﻿<%@ Page Title="" Language="vb" AutoEventWireup="false" MasterPageFile="~/Site.Master" Theme="ACBP" CodeBehind="ListaTareas.aspx.vb" Inherits="ACBProyectos.ListaTareas1" %>

<%@ Register Assembly="AjaxControlToolkit" Namespace="AjaxControlToolkit" TagPrefix="asp" %>
<%@ Register TagPrefix="Menu" Src="~/WebControls/Menu/MenuLateral.ascx" TagName="Lateral" %>
<%@ Register TagPrefix="Menu" Src="~/WebControls/Menu/MenuTareas.ascx" TagName="Tareas" %>
<asp:Content ID="HeaderContent" ContentPlaceHolderID="HeadContent" runat="server">
</asp:Content>
<asp:Content ID="MenuContent" ContentPlaceHolderID="LeftContent" runat="server">
    <Menu:Lateral ID="MenuLateral" ClientIDMode="AutoID" runat="server" />
</asp:Content>
<asp:Content ID="SubMenu" ContentPlaceHolderID="SubMenu" runat="server">
    <Menu:Tareas ID="MenuTareas" ClientIDMode="AutoID" runat="server" />
</asp:Content>
<asp:Content ID="BodyContent" ContentPlaceHolderID="MainContent" runat="server">
    <asp:UpdatePanel ID="UpdatePanelReporting" runat="server">
        <ContentTemplate>
            <div class="ReportContent">
                <fieldset class="FormGrupos">
                    <legend>
                        <asp:Label ID="LabelCamposFiltro" runat="server" Text="<%$Resources:Interfaz,CamposFiltro %>"></asp:Label></legend>
                    <p class="FormLine" style="margin-top: 20px">
                        <asp:Label ID="LabelCliente" AssociatedControlID="DropDownListClientes" runat="server"
                            Text="<%$Resources:Interfaz,Cliente %>" CssClass="FormLabel" Width="90px"></asp:Label>
                        <asp:DropDownList ID="DropDownListClientes" runat="server" Width="290px" DataTextField="Nombre"
                            DataValueField="ClienteID" DataSourceID="EntityDataSourceCliente" AutoPostBack="true">
                        </asp:DropDownList>
                        <asp:ListSearchExtender ID="ListSearchExtenderClientes" TargetControlID="DropDownListClientes"
                            runat="server" PromptCssClass="SearchExtender" PromptText="<%$Resources:Interfaz,SearchExtenderClientes %>"
                            PromptPosition="Top">
                        </asp:ListSearchExtender>
                        <asp:EntityDataSource ID="EntityDataSourceCliente" runat="server" ConnectionString="name=ACBProyectosEntities"
                            DefaultContainerName="ACBProyectosEntities" EnableFlattening="False" EntitySetName="vClientesTareas"
                            OrderBy="it.Nombre ASC" Where="it.RecursoID=@RecursoID">
                            <WhereParameters>
                                <asp:SessionParameter Name="RecursoID" SessionField="RecursoID" Type="Object" />
                            </WhereParameters>
                        </asp:EntityDataSource>
                    </p>
                    <p class="FormLine" style="margin-top: 20px">
                        <asp:Label ID="LabelProyecto" AssociatedControlID="DropDownListProyectos" runat="server"
                            Text="<%$Resources:Interfaz,Proyecto %>" CssClass="FormLabel" Width="90px"></asp:Label>
                        <asp:DropDownList ID="DropDownListProyectos" runat="server" Width="290px" DataTextField="Nombre"
                            DataValueField="ProyectoID" DataSourceID="EntityDataSourceProyecto" AutoPostBack="true">
                        </asp:DropDownList>
                        <asp:ListSearchExtender ID="ListSearchExtenderProyectos" TargetControlID="DropDownListProyectos"
                            runat="server" PromptCssClass="SearchExtender" PromptText="<%$Resources:Interfaz,SearchExtenderProyectos %>"
                            PromptPosition="Top">
                        </asp:ListSearchExtender>
                        <asp:EntityDataSource ID="EntityDataSourceProyecto" runat="server" ConnectionString="name=ACBProyectosEntities"
                            DefaultContainerName="ACBProyectosEntities" EnableFlattening="False" EntitySetName="vProyectosTareas"
                            OrderBy="it.Nombre ASC" Where="it.ClienteID=@ClienteID AND it.RecursoID=@RecursoID">
                            <WhereParameters>
                                <asp:ControlParameter Name="ClienteID" ControlID="DropDownListClientes" Type="Int32" />
                                <asp:SessionParameter Name="RecursoID" SessionField="RecursoID" Type="Object" />
                            </WhereParameters>
                        </asp:EntityDataSource>
                    </p>
                    <p class="FormLine" style="margin-top: 10px; margin-bottom: 20px">
                        <asp:CheckBox ID="CheckBoxProyectosTodos" AutoPostBack="true" runat="server" Text="<%$Resources:Interfaz,TodosProyectos %>" />
                    </p>
                    <p class="FormLine">
                        <asp:Label ID="LabelFechaInicioDesde" AssociatedControlID="TextBoxFechaInicioDesde"
                            runat="server" Text="<%$Resources:Interfaz,FechaInicio %>" CssClass="FormLabel"
                            Width="90px"></asp:Label>
                        <asp:TextBox ID="TextBoxFechaInicioDesde" runat="server" CssClass="FormTextBox" MaxLength="10"
                            Width="70px"></asp:TextBox>
                        <asp:CalendarExtender ID="CalendarExtenderFechaInicioDesde" TargetControlID="TextBoxFechaInicioDesde"
                            PopupButtonID="TextBoxFechaInicioDesde" runat="server">
                        </asp:CalendarExtender>
                        <asp:MaskedEditExtender ID="MaskedEditExtenderFechaInicioDesde" MaskType="Date" Mask="99/99/9999"
                            runat="server" UserDateFormat="DayMonthYear" TargetControlID="TextBoxFechaInicioDesde">
                        </asp:MaskedEditExtender>
                        <asp:Label ID="LabelFechaInicioHasta" AssociatedControlID="TextBoxFechaInicioHasta"
                            runat="server" Text="<%$Resources:Interfaz,Hasta %>" CssClass="FormLabel"></asp:Label>
                        <asp:TextBox ID="TextBoxFechaInicioHasta" runat="server" CssClass="FormTextBox" MaxLength="10"
                            Width="70px"></asp:TextBox>
                        <asp:CalendarExtender ID="CalendarExtenderFechaInicioHasta" TargetControlID="TextBoxFechaInicioHasta"
                            PopupButtonID="TextBoxFechaInicioHasta" runat="server">
                        </asp:CalendarExtender>
                        <asp:MaskedEditExtender ID="MaskedEditExtenderFechaInicioHasta" MaskType="Date" Mask="99/99/9999"
                            runat="server" UserDateFormat="DayMonthYear" TargetControlID="TextBoxFechaInicioHasta">
                        </asp:MaskedEditExtender>
                    </p>
                    <p class="FormLine">
                        <asp:Label ID="LabelFechaPrevisionFinDesde" AssociatedControlID="TextBoxFechaPrevisionFinDesde"
                            runat="server" Text="<%$Resources:Interfaz,FechaPrevisionFin %>" CssClass="FormLabel"
                            Width="90px"></asp:Label>
                        <asp:TextBox ID="TextBoxFechaPrevisionFinDesde" runat="server" CssClass="FormTextBox"
                            MaxLength="10" Width="70px"></asp:TextBox>
                        <asp:CalendarExtender ID="CalendarExtenderFechaPrevisionFinDesde" TargetControlID="TextBoxFechaPrevisionFinDesde"
                            PopupButtonID="TextBoxFechaPrevisionFinDesde" runat="server">
                        </asp:CalendarExtender>
                        <asp:MaskedEditExtender ID="MaskedEditExtenderFechaPrevisionFinDesde" MaskType="Date"
                            Mask="99/99/9999" runat="server" UserDateFormat="DayMonthYear" TargetControlID="TextBoxFechaPrevisionFinDesde">
                        </asp:MaskedEditExtender>
                        <asp:Label ID="LabelFechaPrevisionFinHasta" AssociatedControlID="TextBoxFechaPrevisionFinHasta"
                            runat="server" Text="<%$Resources:Interfaz,Hasta %>" CssClass="FormLabel"></asp:Label>
                        <asp:TextBox ID="TextBoxFechaPrevisionFinHasta" runat="server" CssClass="FormTextBox"
                            MaxLength="10" Width="70px"></asp:TextBox>
                        <asp:CalendarExtender ID="CalendarExtenderFechaPrevisionFinHasta" TargetControlID="TextBoxFechaPrevisionFinHasta"
                            PopupButtonID="TextBoxFechaPrevisionFinHasta" runat="server">
                        </asp:CalendarExtender>
                        <asp:MaskedEditExtender ID="MaskedEditExtenderFechaPrevisionFinHasta" MaskType="Date"
                            Mask="99/99/9999" runat="server" UserDateFormat="DayMonthYear" TargetControlID="TextBoxFechaPrevisionFinHasta">
                        </asp:MaskedEditExtender>
                    </p>
                    <p class="FormLine">
                        <asp:Label ID="LabelFechaFinDesde" AssociatedControlID="TextBoxFechaFinDesde" runat="server"
                            Text="<%$Resources:Interfaz,FechaFin %>" CssClass="FormLabel" Width="90px"></asp:Label>
                        <asp:TextBox ID="TextBoxFechaFinDesde" runat="server" CssClass="FormTextBox" MaxLength="10"
                            Width="70px"></asp:TextBox>
                        <asp:CalendarExtender ID="CalendarExtenderFechaFinDesde" TargetControlID="TextBoxFechaFinDesde"
                            PopupButtonID="TextBoxFechaFinDesde" runat="server">
                        </asp:CalendarExtender>
                        <asp:MaskedEditExtender ID="MaskedEditExtenderFechaFinDesde" MaskType="Date" Mask="99/99/9999"
                            runat="server" UserDateFormat="DayMonthYear" TargetControlID="TextBoxFechaFinDesde">
                        </asp:MaskedEditExtender>
                        <asp:Label ID="LabelFechaFinHasta" AssociatedControlID="TextBoxFechaFinHasta" runat="server"
                            Text="<%$Resources:Interfaz,Hasta %>" CssClass="FormLabel"></asp:Label>
                        <asp:TextBox ID="TextBoxFechaFinHasta" runat="server" CssClass="FormTextBox" MaxLength="10"
                            Width="70px"></asp:TextBox>
                        <asp:CalendarExtender ID="CalendarExtenderFechaFinHasta" TargetControlID="TextBoxFechaFinHasta"
                            PopupButtonID="TextBoxFechaFinHasta" runat="server">
                        </asp:CalendarExtender>
                        <asp:MaskedEditExtender ID="MaskedEditExtenderFechaFinHasta" MaskType="Date" Mask="99/99/9999"
                            runat="server" UserDateFormat="DayMonthYear" TargetControlID="TextBoxFechaFinHasta">
                        </asp:MaskedEditExtender>
                    </p>
                    <p class="FormLine">
                        <asp:Label ID="LabelEstado" AssociatedControlID="DropDownListEstado" runat="server"
                            Text="<%$Resources:Interfaz,Estado %>" CssClass="FormLabel" Width="90px"></asp:Label>
                        <asp:DropDownList ID="DropDownListEstado" DataSourceID="EntityDataSourceEstado" DataTextField="Nombre"
                            DataValueField="EstadoID" runat="server" Width="196px">
                        </asp:DropDownList>
                        <asp:EntityDataSource ID="EntityDataSourceEstado" runat="server" ConnectionString="name=ACBProyectosEntities"
                            DefaultContainerName="ACBProyectosEntities" EnableFlattening="False" EntitySetName="vEstadosTareas"
                            OrderBy="it.EstadoID ASC">
                        </asp:EntityDataSource>
                    </p>
                    <p class="FormLine">
                        <asp:Label ID="LabelPrioridad" AssociatedControlID="DropDownListPrioridades" runat="server"
                            Text="<%$Resources:Interfaz,Prioridad %>" CssClass="FormLabel" Width="90px"></asp:Label>
                        <asp:DropDownList ID="DropDownListPrioridades" runat="server" Width="196px" DataSourceID="EntityDataSourcePrioridad"
                            DataTextField="Nombre" DataValueField="PrioridadID" AutoPostBack="true">
                        </asp:DropDownList>
                        <asp:EntityDataSource ID="EntityDataSourcePrioridad" runat="server" ConnectionString="name=ACBProyectosEntities"
                            DefaultContainerName="ACBProyectosEntities" EnableFlattening="False" EntitySetName="vPrioridadesTareas"
                            OrderBy="it.PrioridadID ASC">
                        </asp:EntityDataSource>
                    </p>
                </fieldset>
                <div class="FooterBar" style="width: 100%; text-align: right">
                    <asp:Button ID="ButtonFiltrar" CssClass="ButtonGray" runat="server" Text="<%$Resources:Interfaz,BotonFiltrar %>" />
                </div>
            </div>
        </ContentTemplate>
    </asp:UpdatePanel>
</asp:Content>
